(function ($) {
	function autosize(textarea) {
		let parent = textarea.parentElement;
		parent.style.minHeight = parent.scrollHeight + 'px';
		textarea.style.height = '';
		textarea.style.height = textarea.scrollHeight + 'px';
		parent.style.minHeight = '';
	}

	$.fn.alsp_autosize = function () {
		return this.each(function () {
			autosize(this);
			$(this)
				.off('input.alsp-autosize')
				.on('input.alsp-autosize', function () {
					autosize(this);
				});
		});
	};
})(window.jQuery);
