<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OGtZUWZhQjAvL1JzdmZENDg1SVowL1p2K0RMY0lzZythazJnNXc3OVlOckZlekRyNFU4aHd5L3ZnTS8zT2t5MVQwWXNQRmwwSDlrTFdvN1BDNU1nRHQ4dVYrT3J6aWRqS3JPck9aZWp0TVFnZkdnT0RvSFdZTGFHYjdTSCs3c3gwPQ==*/

class ALSP_REST_V1_Endpoint_Admin_Agent_Department extends ALSP_REST_V1_Endpoint
{
    public function __construct()
    {
        parent::__construct();
    }

    public function read(WP_REST_Request $request)
    {
        $this->model = new ALSP_Model_Agent_Department(NULL);
        $this->init($request);

        if (isset($request['department']) && $request['department'] > 0) {
            $this->items = $this->model->get_agent_by_department($request['department']);
        } else if (isset($request['agent']) && $request['agent'] > 0) {
            $this->items = $this->model->get_by_agent($request['agent']);
        } else {
            return [
                'success' => FALSE,
                'error' => 'missing_required_fields',
                'reason' => 'get_admin_department',
                'message' => 'Something went wrong'
            ];
        }

        return $this->items_to_response();
    }

    public function can_read()
    {
        return $this->wpuser->has_cap('alsp_ticket_list_departments');
    }
}

// EOF