<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L1BtQmxWTGNSY3hleGtJcUZKL2RQT0thZ09aaTlJZEM4M09RZlBGNGorODlUN3FvU200cmtaTmJ1VnlmTkJpcU9WNUQyRkFhYjd5NDV6dk9EVmFGelRZL05wY3JqR01zdXBGUlljUjJGTFZrQTBtNjFGVlVIOWVtdXZHbVVnQ3ZZPQ==*/

class ALSP_REST_V1_Endpoint_Ticket_Filter extends ALSP_REST_V1_Endpoint
{

    public function __construct()
    {
        parent::__construct();
    }

    public function read(WP_REST_Request $request)
    {
        $this->model = new ALSP_Model_Ticket_Status;
        $this->items = $this->model->read();

		// //new ALSP_Debug(print_r($this->items, true));

		if(isset($this->items['deleted'])) {
			$request = new WP_REST_Request();
			$request['list'] = 'deleted';
			$tickets_count = (new ALSP_Model_Tickets($request))->count();
			//new ALSP_Debug($tickets_count);

			if($tickets_count < 1) {
				unset($this->items['deleted']);
			}
		}

        return $this->items_to_response();
    }

    public function can_read()
    {
        return get_current_user_id() > 0;
    }
}

// EOF
