<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OW5nZi9WcGdhVDM3U2xtT09GYUtlTk5ITVJIbDNrMGd0b0pDTm1GUFB5YWNnZC9PNUYxK1ZrbDZZVVpKcFFvVUVBeDBzcmJVMlBJZlZqbFZ2SXpFRUxFdWFscTZ1R0VWTVJES3FvNWN3dnhBZWdTU1dGRmhDd0U1K0tjL054NnE4PQ==*/

if (!class_exists('ALSP_DBDelta')) {

    class ALSP_DBDelta
    {

        public static function _($table, $version, $sql)
        {

            @include_once(ABSPATH . 'wp-admin/includes/upgrade.php');

            if (!function_exists('dbDelta')) {
                //new ALSP_Debug("dbDelta() not found");
                return;
            }

            // Run dbDelta() once in a while no matter what
            $override = (rand(1, 100) == 1) ? TRUE : FALSE;

            global $wpdb;
            $version = ALSP::PLUGIN_VERSION . ALSP::PLUGIN_RELEASE . '-' . $version;
            $charset_collate = $wpdb->get_charset_collate();

            $sql .= " ENGINE=InnoDB $charset_collate;";

            $table_version = ALSP_Utility_WP::get_option($table);
            if (ALSP_Utility_WP::get_option($table_version) != $version || $override) {
                dbDelta($sql);
                ALSP_Utility_WP::update_option($table, $version);
            }
        }
    }

}