<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OFFRdG14Q2gxdER3aEZYNUdsNHl4b0NhVlduZHJwRjc5RHh2dmtJeWpmWDhlNWJ5akcxKytCbUZxekF3YyswR1ZQbHU0Mi9VUFZMeldxMWpoUWJPYUNLQkh3U3BEd2pGalZGWjNiOC80RXBnSkJjTlJKc1daVFFEY3luVldPSkxrPQ==*/

class ALSP_Config_Department
{
    private static $instance = NULL;

    public static function get_instance()
    {
        return (NULL == self::$instance) ? self::$instance = new self() : self::$instance;
    }

    private function __construct()
    {
        add_action('init', function(){
            if(isset($_GET['dismiss-admin-tutorial'])) {
                add_user_meta(get_current_user_id(), 'alsp_departments_hide_admin_tutorial', 1, TRUE);
            }

            if(isset($_GET['dismiss-admin-tutorial-reset'])) {
                delete_user_meta(get_current_user_id(), 'alsp_departments_hide_admin_tutorial');
            }
        });
    }

    public function dashboard()
    {
        wp_enqueue_script('jquery-ui-sortable');

        wp_enqueue_style('alsp-admin');
        wp_enqueue_script('alsp-admin');
        if (apply_filters('alsp_is_pro', FALSE)) {
            wp_enqueue_script('alsp-admin-pro');
        }

        echo '<div class="alsp" data-alsp="admin-page" data-id="departments"></div>';
    }
}

if (is_admin()) {
    ALSP_Config_Department::get_instance();
}

// EOF
