<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2KzZJamxQWlQ0MVJSOVNSOFpWYS91M1FGL256ZDZXNDRsM2dYbDFpMEFJdUd6SkVIR2xCbnZjSkU1amhBSGV0d214UEE3ekZ3SXJ2QUFRaGJGKzBGd3BBeHhPMXY3QytBV0dBNnFoR05RenZuSFdreEI3d0JhYmVVNzgwWDRPN3dzPQ==*/

add_filter('alsp_frontend_data', function($data) {
    $assets = ALSP_Frontend_Assets::get_instance();

    function scandirRecursive($dir) {
        $files = [];

        if (is_dir($dir)) {
            $paths = array_diff(scandir($dir), ['.', '..']);
            foreach ($paths as $path) {
                $path = $dir . $path;
                if (is_dir($path)) {
                    $files = array_merge($files, scandirRecursive($path . DIRECTORY_SEPARATOR));
                } else if (preg_match('/\.php$/', $path)) {
                    $files[] = preg_replace('/\.php$/', '', $path);
                }
            }
        }

        return $files;
    }

    $files = scandirRecursive($assets->templates_dir . 'pro' . DIRECTORY_SEPARATOR);
    $templates = [];
    for ($i = 0; $i < count($files); $i++) {
        $path = str_replace($assets->templates_dir, '', $files[$i]);
        // Fix Windows backslash-style path.
        $name = str_replace(DIRECTORY_SEPARATOR, '/', $path);
        $templates[$name] = $assets->get_template($path);
    }

    $pro_data = [
        'templates' => $templates,
    ];

    return array_merge_recursive($data, $pro_data);
});
