<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L2ZMblN2WlJkREE0blB2UjhCOXN1MFhKVC9sWU5PME9OMGQwKzRUekZZcWtKeThpa1lSb1l4VllTSHUybUJ6TC9BeGRvbXBxeTRsUDZtM3NocW1UWUovbDdaMEsyUmRGZFQwblQydU83aVJmWHVJMFdPMGd4YUU2WmpMQU1tOUdZPQ==*/

abstract class ALSP_Maintenance_Factory
{
    const MAINTENANCE_EVENT = 'alsp_maintenance_event';

    public function __construct()
    {
        // Otherwise filters / closures will refer to Factory class
        $that = get_class($this);
        $modules = get_class_methods($that);

        add_action(ALSP_Maintenance_Factory::MAINTENANCE_EVENT, function () use ($modules, $that) {

            if (count($modules)) {
                foreach ($modules as $module) {

                    if (strstr($module, '__')) {
                        continue;
                    }

                    $start = microtime(TRUE);
                    $count = $that::$module();

                    // ALSP_Maintenance_Debug::get_instance()->debug("$that::$module", $start, microtime(TRUE), $count);
                }
            }
        });
    }
}

// EOF