<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L0NlS3VEZU1kQzg1SFVtZlp2U1FpaFJUeFNSTG5xNHBlZThhZitzYXRZL3JpekNvWndrTCtLbXlRK0svTHkwVDE0MSs4RUYrb21uSExiQjFCRVVlNUN1dDQ1T0ZZWnhiQjE4ciswbGxmS2V2aVQ5WWZrT204SnA5V0NzTWFtOWVzPQ==*/

class ALSP_Config_Integration
{
    private static $instance;

    public static function get_instance()
    {
        return isset(self::$instance) ? self::$instance : self::$instance = new self;
    }

    private function __construct()
    {
        add_filter('alsp_config_description', function ($desc) {
            $desc['peepso_enabled'] = class_exists('PeepSo') ? FALSE : __('Requires the plugin "Community by PeepSo"', 'awedesk');
            $desc['peepso_message'] = class_exists('PeepSo') ? sprintf(__('You can manage the PeepSo integration %s', 'awedesk'), '<a target="_blank" href="' . admin_url('admin.php?page=peepso_config&tab=alsp') . '">' . __('here', 'awedesk') . '</a>') : FALSE;

            return $desc;
        });

        add_filter('alsp_config', function ($config, $position) {
            return $config;
        }, 20, 2);
    }
}
add_action('init', function() {
    if (apply_filters('alsp_is_pro', FALSE)) {
        ALSP_Config_Integration::get_instance();
    }
});
// EOF
