<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OGhWQ2NNSEFTanNxeTROK2t0cTdseCtERGxEUWRiU3JsOVVNbXhlczEwd0ZYM2gxNFQ2V09UcUYwMktqamFjaG1QMVVLdnhCalJiSUROaGljS214dzUrdXhPc2p0UGNYcWp2cFNaSnFHeWpLZS9vTmsrUGVmaXh4RkJaUUFOVG5zPQ==*/

class ALSP_Ticket_Watchers
{
    private static $instance = NULL;

    public static function get_instance()
    {
        return (NULL == self::$instance) ? self::$instance = new self() : self::$instance;
    }

    private function __construct()
    {
        add_action('init', array(&$this, 'init'));
    }

    public function init()
    {
        // Ticket List query
        add_filter('alsp_tickets_query_where', function ($where, $request) {
            if ($request['list'] == 'watched') {
                $where['watchers'] = "watchers.user IS NOT NULL";
            }

            return $where;
        }, 10, 2);

        add_filter('alsp_tickets_query_join', function ($join, $request) {
            global $wpdb;

            if ($request['list'] == 'watched') {
                $join['watchers'] = "LEFT JOIN {$wpdb->prefix}alsp_ticket_watchers watchers ON tickets.id = watchers.ticket AND watchers.user = " . get_current_user_id();
            }

            return $join;
        }, 10, 2);

        // Remove entries when ticket assigned
//        add_action('alsp_ticket_assignee_changed', function($ticket, $agent) {
//            $ticket_watcher = new ALSP_Model_Ticket_Watcher($ticket, $agent);
//            $ticket_watcher->unset();
//        }, 10, 2);
    }
}

ALSP_Ticket_Watchers::get_instance();
// EOF
