<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OXdaYUNOT1FmQXhlVGIxUk9kckc3bUhhQUFPSDk4K0Z2SW9ZcGFLYkx6OXJkekV1MWZLeEZiK1VwbU1BOUxFTzJoa29WM0xrR0JIbjNXb2ZqMU9JT1k1Y2ZWY2NhQ01DTGFpay9Wby9DWEhpclFlanRiZUF4UnJ5V2wzZGtRakk0PQ==*/

class ALSP_Model_Ticket_Watcher
{
    public $ticket;
    public $user;

    public function __construct($ticket, $user)
    {
        $this->ticket = $ticket;
        $this->user = $user;
    }

    public static function config_table()
    {
        global $wpdb;

        return $wpdb->prefix . 'alsp_ticket_watchers';
    }

    public function read()
    {
        global $wpdb;

        $result = $wpdb->get_row($wpdb->prepare("SELECT * FROM {$this->config_table()} WHERE ticket = %d AND user = %d", $this->ticket, $this->user), ARRAY_A);

        $ret = NULL;
        if (is_array($result)) {
            $ret = $result;
        }

        return $ret;
    }

    public function set()
    {
        global $wpdb;

        $data = [
            'ticket' => $this->ticket,
            'user' => $this->user,
        ];
        $res = $wpdb->insert($this->config_table(), $data);

        $lastid = FALSE;
        if ($res) {
            $lastid = $wpdb->insert_id;
        }

        return $lastid;
    }

    public function unset()
    {
        global $wpdb;

        $result = $wpdb->delete($this->config_table(), ['ticket' => $this->ticket, 'ticket' => $this->ticket]);

        return $result;
    }
}

// EOF
