<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OEdUZUc1ZHFvWUVRdFllekFlNjRHZit2R3d4OFAwaHVueFp0OEdnVkVtY2V2MlNUR05zRTNrdFFNay91aHhVOG02YzkyME95OTV3bEI2RjM0b0M1Y3VwSHYwdG84cEZTdjlCWHhNS0ZnVzJXTlJPb1o1V2N2UlJTM3lkWFphQTVZPQ==*/

class ALSP_ReCaptcha
{
    public static function should_enqueue()
    {
        return ALSP_Config::get('recaptcha_enabled', 0);
    }

    public static function url()
    {
        $host = 'https://www.google.com';
        if (intval(ALSP_Config::get('recaptcha_use_globally_enabled', 0))) {
            $host = 'https://www.recaptcha.net';
        }

        return $host;
    }

    public static function validate($request)
    {
        $recaptcha_response = isset($request['recaptcha']) ? $request['recaptcha'] : FALSE;
        $args = array(
            'body' => array(
                'response' => $recaptcha_response,
                'secret' => ALSP_Config::get('recaptcha_secretkey_password', 0),
            )
        );

        $host = self::url();
        $wp_request = wp_remote_post(
            $host . '/recaptcha/api/siteverify',
            $args
        );

        $response_json = json_decode(wp_remote_retrieve_body($wp_request), true);
        return isset($response_json['success']) && $response_json['success'] === TRUE;
    }
}
