<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OTllNU9oTWxOR1k4RU1ZQVU4dEdta1o4Nk9iaDJzSjJhRU93M0NRUlF2b0FzLzR6TWJVZk1YbEdQUlYwQ3FBOHlMMTRXcHM5OUIzb2JSeHJjSjJ6TE5IdW55cEg0TTNoU1NPTTJucUxVNTE5VG1JZFpnRTdRRWRRc05FcDY3MlprPQ==*/

class ALSP_Deactivation
{
    private static $instance = NULL;

    /**
     * Fired when the plugin is deactivated.
     *
     * @since    1.0.0
     *
     * @param    boolean $network_wide       True if WPMU superadmin uses
     *                                       "Network Activate" action, false if
     *                                       WPMU is disabled or plugin is
     *                                       activated on an individual blog.
     */
    public static function _($network_wide)
    {
        ALSP_Deactivation::clean_scheduled_events();
    }

    public static function clean_scheduled_events()
    {
        wp_clear_scheduled_hook(ALSP::CRON_MAILQUEUE);
        wp_clear_scheduled_hook(ALSP::CRON_AUTOCLOSED_TICKET);
        wp_clear_scheduled_hook(ALSP::CRON_NEEDS_ATTENTION_TICKET);
        wp_clear_scheduled_hook(ALSP_Email_Piping::CRON_EMAIL_PIPING);
    }
}

// EOF