<div class="alsp-wrapper">
    <?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L0t5TEtPWjlMS25nZlRxVDlWSE9NVzhwbHFsUDd1VXNXbmlteTJBZi9DQWZWcWllODU3MjdwNjhBbmFGa0NMQlEwRlVQWjJZUGFpQ0VncHoxay9zd3VYUzd1YnhYWW92OHNTZVoyOEJXMkRWS0x1cnpiZ0QvbC9ETDJMemk3d29jPQ==*/
    ALSP_Config_Panel::admin_logo();
    $status = ALSP_Config::get('license_status');
    ?>
    <?php if (!apply_filters('alsp_is_pro', FALSE) && $status !== 'valid') {
        // Content for promo codes is loaded from our server, no need for escaping
        // echo ALSP_Remote_Content::get('upsell', TRUE, ['location' => 'dashboard']);
    } ?>

    <div class="alsp-main alsp-main--departments">
        <div class="alsp-column">
            <div class="alsp-panel">
                <div class="alsp-panel__header">
                    <div class="alsp-panel__name"><i class="alsp-i-add-folder"></i><span>
                            <?php echo __('Add New', 'awedesk'); ?>
                        </span></div>
                </div>
                <div class="alsp-panel__content">
                    <div class="alsp-opt alsp-opt--text">
                        <div class="alsp-opt__form alsp-opt__form--col">
                            <label class="alsp-opt__label">
                                <?php echo __('Name', 'awedesk') ?>
                            </label>
                            <div class="alsp-opt__form-input">
                                <input class="alsp-opt__input alsp-input" type="text" value=""
                                       data-alsp="new-department-name">
                                <div class="alsp-opt__desc">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="alsp-opt alsp-opt--text">
                        <div class="alsp-opt__form alsp-opt__form--col">
                            <label class="alsp-opt__label">
                                <?php echo __('Description', 'awedesk') ?>
                            </label>
                            <div class="alsp-opt__form-input">
                                <textarea class="alsp-opt__input alsp-input" style="min-height:5em"
                                          data-alsp="new-department-description"></textarea>
                                <div class="alsp-opt__desc">

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="alsp-opt alsp-opt--select">
                        <div class="alsp-opt__form alsp-opt__form--col">
                            <label class="alsp-opt__label">
                                <?php echo __('Default assignee', 'awedesk') ?>
                            </label>
                            <div class="alsp-opt__form-input">
                                <select class="alsp-opt__input alsp-input" data-alsp="new-department-assignee">
                                    <option value="">
                                        <?php echo __('Unassigned', 'awedesk') ?>
                                    </option>
                                </select>
                                <div class="alsp-opt__desc">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="alsp-opt alsp-opt--check">
                        <div class="alsp-opt__form alsp-opt__form--col">
                            <label class="alsp-opt__label">
                                <?php echo __('Agent only', 'awedesk') ?>
                            </label>
                            <div class="alsp-opt__form-input">
                                <i class="alsp-checkbox__control alsp-i-toggle-off" data-alsp="checkbox"></i>
                                <input class="alsp-checkbox" type="checkbox" value="1"
                                       data-alsp="new-department-agent-only" style="display:none">
                                <div class="alsp-opt__desc">

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="alsp-opt alsp-opt--check">
                        <div class="alsp-opt__form alsp-opt__form--col">
                            <label class="alsp-opt__label">
                                <?php echo __('Published', 'awedesk') ?>
                            </label>
                            <div class="alsp-opt__form-input">
                                <i class="alsp-checkbox__control alsp-i-toggle-on" data-alsp="checkbox"></i>
                                <input class="alsp-checkbox" type="checkbox" value="1" checked
                                       data-alsp="new-department-published" style="display:none">
                                <div class="alsp-opt__desc">

                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <?php echo do_action('alsp_config_department_fields'); ?>
                <?php echo do_action('alsp_template_insert', 'admin_departments'); ?>

                <div class="alsp-panel__footer">
                    <div class="alsp-panel__actions">
                        <button class="alsp-btn alsp-btn--action" data-alsp="new-department-save">
                            <i class="alsp-i-plus"></i>
                            <span>
                                <?php echo __('Add', 'awedesk'); ?>
                            </span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="alsp-column">
            <div class="alsp-panel">
                <div class="alsp-panel__header">
                    <div class="alsp-panel__name"><i class="alsp-i-folder-open"></i><span>
                            <?php echo __('Departments', 'awedesk'); ?>
                        </span></div>
                    <div class="alsp-panel__actions">
                        <button class="alsp-btn alsp-btn--link" data-alsp="department-expand-all">
                            <i class="alsp-i-expand"></i>
                            <span>
                                <?php echo __('Expand', 'awedesk'); ?>
                            </span>
                        </button>
                        <button class="alsp-btn alsp-btn--link" data-alsp="department-collapse-all">
                            <i class="alsp-i-compress"></i>
                            <span>
                                <?php echo __('Collapse', 'awedesk'); ?>
                            </span>
                        </button>
                    </div>
                </div>
                <div class="alsp-panel__content">
                    <div class="alsp-departments" data-alsp="departments">
                        <?php echo __('Loading', 'awedesk').'...'; ?>
                    </div>
                </div>
                <div class="alsp-panel__footer">
                    <div class="alsp-panel__actions">
                        <button class="alsp-btn alsp-btn--link" data-alsp="department-expand-all">
                            <i class="alsp-i-expand"></i>
                            <span>
                                <?php echo __('Expand', 'awedesk'); ?>
                            </span>
                        </button>
                        <button class="alsp-btn alsp-btn--link" data-alsp="department-collapse-all">
                            <i class="alsp-i-compress"></i>
                            <span>
                                <?php echo __('Collapse', 'awedesk'); ?>
                            </span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
