<div class="alsp-department" data-id="{{-data.id }}" data-alsp="department-item">
    <div class="alsp-department__head">
        <div class="alsp-department__name" data-alsp="department-name-viewer">
            <span data-alsp="department-name-label">{{- data.name }}</span>
        </div>
        <div class="alsp-department__name-edit" data-alsp="department-name-editor" style="display: none;">
            <div class="alsp-opt alsp-opt--text" data-type="text">
                <div class="alsp-opt__form">
                    <div class="alsp-opt__form-input">
                        <input type="text" class="alsp-opt__input alsp-input" value="{{- data.name }}"
                            data-alsp="department-name" data-id="{{= data.id }}" style="height:2rem; width:auto">
                        <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                        <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
                    </div>
                    <div class="alsp-opt__form-actions">
                        <button class="alsp-opt__action alsp-btn" data-id="{{= data.id }}"
                            data-alsp="department-name-cancel"
                            data-tooltip="<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L0t5TEtPWjlMS25nZlRxVDlWSE9NV1RreW5JcUlMQVRSSTdEM20xY1dMSVlWa1ZkMWU2NTMxYlhqMVRUNXdHM2VZOU5nVzhpUkRDMmlueS8xeDBtT0xValBvNWlOaitsdkp6ODhzLzNlNy9CTVlaM0lmZGJtc2xjTHlCNk9VL0d3PQ==*/ echo esc_attr(__('Cancel', 'awedesk')); ?>" style="height:2rem">
                            <i class="alsp-i-cross"></i>
                        </button>
                        <button class="alsp-opt__action alsp-btn alsp-btn--action" data-id="{{= data.id }}"
                            data-alsp="department-name-save"
                            data-tooltip="<?php echo esc_attr(__('Save', 'awedesk')); ?>" style="height:2rem">
                            <i class="alsp-i-check"></i>
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="alsp-department__actions">
            <span data-alsp="department-name-edit" title="<?php echo esc_attr(__('Edit', 'awedesk')); ?>"><i class="alsp-i-pen-square"></i></span>
            <span class="alsp-i-{{- data.open === 1 ? 'compress' : 'expand'}}" data-id="{{= data.id }}"
                data-open="{{= data.open }}" data-alsp="department-toggle" title="{{- data.open === 1 ? 'Compress' : 'Expand'}}"></span>
            <span data-id="{{- data.id }}" data-alsp="department-remove" title="<?php echo esc_attr(__('Remove', 'awedesk')); ?>"><i class="alsp-i-trash"></i></span>
        </div>
    </div>
    <div class="alsp-department__opts" data-id="{{- data.id }}" style="{{- data.open == 1 ? '': 'display:none' }}"
        data-alsp="department-{{- data.id}}">
        <div class="alsp-settings">
            <div class="alsp-opt alsp-opt--textarea" data-type="text">
                <div class="alsp-opt__form">
                    <label class="alsp-opt__label">
                        <?php echo __('Description', 'awedesk') ?>
                    </label>
                    <div class="alsp-opt__form-input">
                        <div data-alsp="department-description-viewer">
                            <span data-alsp="department-description-label">{{- data.description }}</span>
                            <a href="#" data-alsp="department-description-edit">
                                <?php echo __('Edit', 'awedesk') ?>
                            </a>
                        </div>
                        <div data-alsp="department-description-editor" style="display:none">
                            <textarea class="alsp-opt__input alsp-input" data-alsp="department-description"
                                data-id="{{= data.id }}"
                                style="min-height:5em; margin-bottom:10px">{{- data.description }}</textarea>
                            <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                            <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
                            <button class="alsp-opt__action alsp-btn" data-alsp="department-description-cancel"
                                data-btn="cancel">
                                <i class="alsp-i-cross"></i>
                                <?php echo __('Cancel', 'awedesk'); ?>
                            </button>
                            <button class="alsp-opt__action alsp-btn alsp-btn--action"
                                data-alsp="department-description-save" data-btn="save">
                                <i class="alsp-i-check"></i>
                                <?php echo __('Save', 'awedesk'); ?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="alsp-opt alsp-opt--select" data-type="select">
                <div class="alsp-opt__form">
                    <label class="alsp-opt__label">
                        <?php echo __('Default assignee', 'awedesk') ?>
                    </label>
                    <div class="alsp-opt__form-input">
                        <select class="alsp-opt__input alsp-input" data-alsp="department-assignee"
                            data-id="{{= data.id }}">
                            <option value="">
                                <?php echo __('Unassigned', 'awedesk') ?>
                            </option>
                            {{ if (data.list_assignee && data.list_assignee.length) data.list_assignee.forEach(agent =>
                            { }}
                            <option value="{{= agent.agent.id }}" {{=data.default_assignee &&
                                data.default_assignee.id===agent.agent.id ? 'selected' : '' }}>
                                {{- agent.agent.display_name || agent.agent.user_login }}
                            </option>
                            {{ }); }}
                        </select>
                        <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                        <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
                        <div class="alsp-opt__desc">
                            <?php echo __('Only shows Agents assigned to this Department', 'awedesk'); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="alsp-opt alsp-opt--check" data-type="bool">
                <div class="alsp-opt__form">
                    <label class="alsp-opt__label">
                        <?php echo __('Agent only', 'awedesk') ?>
                    </label>
                    <div class="alsp-opt__form-input">
                        <i class="alsp-checkbox__control alsp-i-toggle-{{= +data.agent_only ? 'on' : 'off' }}"
                            data-alsp="checkbox"></i>
                        <input class="alsp-checkbox" type="checkbox" value="1" data-alsp="department-agent-only"
                            data-id="{{= data.id }}" {{=+data.agent_only ? 'checked' : '' }} style="display:none">
                        <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                        <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
                    </div>
                </div>
            </div>
            <div class="alsp-opt alsp-opt--check" data-type="bool">
                <div class="alsp-opt__form">
                    <label class="alsp-opt__label">
                        <?php echo __('Published', 'awedesk') ?>
                    </label>
                    <div class="alsp-opt__form-input">
                        <i class="alsp-checkbox__control alsp-i-toggle-{{= +data.published ? 'on' : 'off' }}"
                            data-alsp="checkbox"></i>
                        <input class="alsp-checkbox" type="checkbox" value="1" data-alsp="department-published"
                            data-id="{{= data.id }}" {{=+data.published ? 'checked' : '' }} style="display:none">
                        <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                        <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
                    </div>
                </div>
            </div>

            <?php echo do_action('alsp_template_insert', 'admin_departments_item'); ?>

            <input type="hidden" id="department-{{- data.id }}-id" value="{{- data.id }}">
            <input type="hidden" id="department-{{- data.id }}-order" value="<?php // echo $icon->order; ?>">
        </div>
    </div>
</div>
