<style>
    /* TODO: Move and improve this temporary styling. */
    div.form-field {
        position: relative;
    }

    div[data-alsp=user-search-remove] {
        cursor: pointer;
        display: none;
        font-size: 1.5em;
        margin-top: -26px;
        position: absolute;
        left: 90%;
    }

    div[data-alsp=user-search-dropdown] {
        background: white;
        border: 1px solid #2271b1;
        border-radius: 4px;
        box-shadow: 0 0 0 1px #2271b1;
        box-sizing: border-box;
        display: none;
        padding: 5px;
        position: absolute;
        left: 0;
        right: 0;
        width: 95%;
        z-index: 2;
    }

    div[data-alsp=user-search-dropdown]>div {
        display: block;
        padding: 3px 5px;
    }

    div[data-alsp=user-search-dropdown]>div:hover {
        background: lightgray;
        cursor: pointer;
    }
</style>

<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OCt1aUpDYU5IbnVpcEZRSnFWUHBNTWVCNGp5ei9zN2Nlb0tYeXo4TWxuUG9QUEtTSE9heFdJbElJZ3V4NlhaVFV6WmlNT3JTcmQ2SjA2RFduWE9QYWRKeXJoU3VSdmU1TlVVTG5vRHQ1a1B1SDVvY2NJUXQ4ZURyZVV2SjBpS3dvPQ==*/

$status = ALSP_Config::get('license_status');
$valid = $status === 'valid';

$process_emails_nonce = wp_create_nonce('alsp-process-mailqueue-nonce');
$process_emails_url = admin_url('admin.php?page=alsp-mailqueue&action=alsp-process-mailqueue&_wpnonce=' . $process_emails_nonce);

?><div class="alsp-wrapper">
<?php ALSP_Config_Panel::admin_logo(); ?>
    <?php if (!apply_filters('alsp_is_pro', FALSE) && !$valid) {
        // echo ALSP_Remote_Content::get('upsell', TRUE, ['location' => 'dashboard']);
    } ?>

    <div class="alsp-main alsp-main--mailqueue">
        <div class="alsp-column">
            <div class="alsp-panel">
                <div class="alsp-panel__header">
                    <div class="alsp-panel__name">
                        <i class="alsp-i-envelope"></i>
                        <span><?php echo __('Mail Queue', 'awedesk'); ?></span>
                    </div>
                    <div class="alsp-panel__actions">
                        <a class="alsp-btn alsp-btn--action" href="<?php echo $process_emails_url; ?>">
                            <i class="alsp-i-check"></i>
                            <span><?php echo __('Process Emails', 'awedesk'); ?></span>
                        </a>
                    </div>
                </div>
                <div class="alsp-panel__content">
                    <?php
                    if (0 == ALSP_Config::get('cron_mailqueue_enabled', 0)) {

                        $completion_estimate = ALSP_Email_Queue::get_completion_estimate();

                        if ($completion_estimate) {
                            $completion_estimate = ceil($completion_estimate / 60);
                            echo '<div class="alignright actions admin-tablenav"> &nbsp; ', PHP_EOL;
                            echo '<span>', sprintf(
                                __('Estimated time until Mail Queue is empty: %1$d %2$s.', 'awedesk'),
                                $completion_estimate,
                                _n('minute', 'minutes', $completion_estimate, 'awedesk')
                            ), '</span>', PHP_EOL;
                            echo '</div>', PHP_EOL;
                        }
                    } else {
                        echo '<div class="alignright actions admin-tablenav"> &nbsp; ';
                        echo '<span><a href=?page=alsp>', __('The default Mail Queue is disabled', 'awedesk'), '</a></span>';
                        echo '</div>', PHP_EOL;
                    }
                    ?>
                    <div class="alignleft actions bulkactions" data-type>
                        <label for="bulk-action-selector-top" class="screen-reader-text"><?php echo __('Select bulk action', 'awedesk'); ?></label>
                        <select class="alsp-opt__input alsp-input" id="bulk-action-selector-top" data-alsp="bulk-select">
                            <option value=""><?php echo __('Bulk actions', 'awedesk'); ?></option>
                            <option value="bulk-waiting"><?php echo __('Set to "waiting"', 'awedesk'); ?></option>
                            <option value="bulk-delete"><?php echo __('Delete', 'awedesk'); ?></option>
                        </select>
                        <button class="alsp-btn alsp-btn--action" data-alsp="bulk-apply">
                            <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                            <i class="alsp-i-check" data-check style="display:none"></i>
                            <span><?php echo __('Apply', 'awedesk'); ?></span>
                        </button>
                    </div>
                    <table class="wp-list-table widefat fixed striped table-view-list tags">
                        <thead>
                            <tr>
                                <td class="manage-column column-cb check-column"><input type="checkbox" data-alsp="bulk-check-all"></td>
                                <th><?php echo __('ID', 'awedesk') ?></th>
                                <th><?php echo __('User & Subject', 'awedesk') ?></th>
                                <th><?php echo __('Message', 'awedesk') ?></th>
                                <th><?php echo __('Date', 'awedesk') ?></th>
                                <th><?php echo __('Status', 'awedesk') ?></th>
                            </tr>
                        </thead>
                        <tbody data-alsp="mailqueue">
                            <tr class="no-items">
                                <td class="colspanchange" colspan="6">
                                    <?php echo __('Loading', 'awedesk').'...'; ?>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <td class="manage-column column-cb check-column"><input type="checkbox" data-alsp="bulk-check-all"></td>
                                <th><?php echo __('ID', 'awedesk') ?></th>
                                <th><?php echo __('User & Subject', 'awedesk') ?></th>
                                <th><?php echo __('Message', 'awedesk') ?></th>
                                <th><?php echo __('Date', 'awedesk') ?></th>
                                <th><?php echo __('Status', 'awedesk') ?></th>
                            </tr>
                        </tfoot>
                    </table>
                    <div class="alignleft actions bulkactions" data-type>
                        <label for="bulk-action-selector-bottom" class="screen-reader-text"><?php echo __('Select bulk action', 'awedesk'); ?></label>
                        <select class="alsp-opt__input alsp-input" id="bulk-action-selector-bottom" data-alsp="bulk-select">
                            <option value=""><?php echo __('Bulk actions', 'awedesk'); ?></option>
                            <option value="bulk-waiting"><?php echo __('Set to "waiting"', 'awedesk'); ?></option>
                            <option value="bulk-delete"><?php echo __('Delete', 'awedesk'); ?></option>
                        </select>
                        <button class="alsp-btn alsp-btn--action" data-alsp="bulk-apply">
                            <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                            <i class="alsp-i-check" data-check style="display:none"></i>
                            <span><?php echo __('Apply', 'awedesk'); ?></span>
                        </button>
                    </div>
                </div>
                <div class="alsp-panel__footer">
                    <div class="alsp-panel__actions">
                        <a class="alsp-btn alsp-btn--action" href="<?php echo $process_emails_url; ?>">
                            <i class="alsp-i-check"></i>
                            <span><?php echo __('Process Emails', 'awedesk'); ?></span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
