<div class="alsp-opt alsp-opt--text" data-type="{{= data.type }}" data-id="{{= data.id }}" data-parent="{{= data.parent || '' }}">
    <div class="alsp-opt__form">
        <label class="alsp-opt__label"></label>
        <div class="alsp-opt__form-input">
            {{
                let btn_class = 'alsp-btn--action';
                switch (data.btn_style) {
                    case 'delete':
                        btn_class = 'alsp-btn--remove';
                        break;
                }
            }}
            <button class="alsp-opt__action alsp-btn {{= btn_class }}" data-id="{{= data.id }}" data-tooltip="{{- data.label }}"
                {{ if (typeof data.data === 'object') { for (let key in data.data) { }}
                data-{{= key }}="{{- data.data[key] }}"
                {{ } } }}
            >
                {{ if (data.icon) { }}
                <i class="{{- data.icon }}"></i>
                {{ } }}
                {{- data.label }}
                {{ if (data.loading) { }}
                <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                {{ } }}
            </button>
        </div>
    </div>
</div>
