<div class="alsp-opt alsp-opt--text" data-type="{{= data.type }}" data-id="{{= data.id }}" data-parent="{{= data.parent || '' }}">
    <div class="alsp-opt__form">
        <label class="alsp-opt__label" for="{{= data.id }}">
            {{= data.label }}
        </label>
        <div class="alsp-opt__form-input">
            <div class="alsp-input__wrapper">
                <input class="alsp-opt__input alsp-input" type="{{ if(data.type=='int') { }}number{{ }else if(data.type=='password'){ }}password{{ }else{ }}text{{ } }}" id="{{= data.id }}"
                    {{ if (data.type === 'int') { }}
                    {{= data.min > 0 ? 'min="' + data.min + '"' : '' }} {{= data.max > 0 ? 'max="' + data.max + '"' : '' }}
                    {{ } }}
                    value="{{= data.value || '' }}" data-value="{{- data.value || '' }}" {{- data.disabled || '' }} />
                {{= data.after }}
                <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
                <p data-error-msg style="display:none; color:#EF5350"></p>
            </div>
            {{ if (data.description) { }}
            <div class="alsp-opt__desc">{{= data.description }}</div>
            {{ } }}

            {{ if (data.type === 'int' && (data.min || data.max) ) { }}
            <div class="alsp-opt__desc alsp-opt__int_limits" data-alsp="number-desc" style="display:none">
                {{ if(data.min) { }}
	            <?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2K0pFK0pqVjhnYmlhVU9nQWFGSC9TYW1meHVkLzVsdnBwZVY1VmF1c21oNDFZbXZKdFM4SnRKZmVDMHlxalp0YzdsZDFZelVLRzJnL2JXazRPZ0FIOC81QW1aRlE4SHk3cC8wN1l5Wm1mVzVqazE0YzUySUxJdHdPNmZXVDlwREZrPQ==*/ echo sprintf(__('Minimum %s', 'awedesk'), '<b>{{= data.min }}</b>'); ?>
                {{ } }}

                {{ if(data.max) { }}
	            <?php echo sprintf(__('Maximum %s', 'awedesk'), '<b>{{= data.max }}</b>'); ?>
                {{ } }}
            </div>
            {{ } }}
        </div>
        <div class="alsp-opt__form-actions">

            <button class="alsp-opt__action alsp-btn" data-id="{{= data.id }}" data-btn="cancel"
                    data-tooltip="<?php echo esc_attr(__('Cancel', 'awedesk')); ?>" style="display:none">
                <i class="alsp-i-cross"></i>
            </button>
            <button class="alsp-opt__action alsp-btn alsp-btn--action" data-id="{{= data.id }}" data-btn="save"
                    data-tooltip="<?php echo esc_attr(__('Save', 'awedesk')); ?>" style="display:none">
                <i class="alsp-i-check"></i>
            </button>
        </div>
    </div>
</div>
