<div class="alsp-opt alsp-opt--text" data-type="{{= data.type }}" data-id="{{= data.id }}" data-parent="{{= data.parent || '' }}">
    <div class="alsp-opt__form">
        <label class="alsp-opt__label" for="{{= data.id }}">
            {{= data.label }}
        </label>
        <div class="alsp-opt__form-input">
            <textarea class="alsp-opt__input alsp-input" id="{{= data.id }}"
                    data-value="{{- data.value || '' }}">{{= data.value || '' }}</textarea>
            <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
            <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
            <p data-error-msg style="display:none; color:#EF5350"></p>

            {{ if (data.description) { }}
            <div class="alsp-opt__desc">{{= data.description }}</div>
            {{ } }}
        </div>
        <div class="alsp-opt__form-actions">

            <button class="alsp-opt__action alsp-btn" data-id="{{= data.id }}" data-btn="cancel"
                    data-tooltip="<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2K0pFK0pqVjhnYmlhVU9nQWFGSC9TYWlTbDRiMlpKTWVlM002V2dRa0Y1ZVFWQnJBU2FZTW9rNm9oWURpcjBDN3dsbEFtRm5iODkwS3dFTzdtbXBRQWQvQWVLMGxJSnl5Wk5TbkJJbCt0Uk5YM3R4WjVNYlkyNWY4NzdrOFNmT29vPQ==*/ echo esc_attr(__('Cancel', 'awedesk')); ?>" style="display:none">
                <i class="alsp-i-cross"></i>
            </button>
            <button class="alsp-opt__action alsp-btn alsp-btn--action" data-id="{{= data.id }}" data-btn="save"
                    data-tooltip="<?php echo esc_attr(__('Save', 'awedesk')); ?>" style="display:none">
                <i class="alsp-i-check"></i>
            </button>
        </div>
    </div>
</div>
