<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L3ZXall1aUl2SzJycC8vNnNpaWxvRWUvaVp1eUVEZE45clpGOVF1MDNTOWlKRGNuOXljdEttTWJ2a2hLQ3o5dmxycnRuY2ljZnpXSFVZMTlqY3hrNzBkQXBVZWx3QWpJcThyUHdkTVdhOTJvaTRQVE5INWNTTlV3NktYbkw2YVA0PQ==*/

$can_open_on_behalf = ALSP_User::get_instance()->can_open_on_behalf();

?><div class="alsp-new" data-alsp="new-ticket">
    <div class="alsp-form">
        <?php if (is_user_logged_in()) { $user = wp_get_current_user(); ?>
        <div class="alsp-form__row">
            <label class="alsp-form__label" for=""><?php echo __('Client', 'awedesk'); ?></label>
            <div class="alsp-form__control">
                <div class="alsp-input__wrapper">
                    <?php $value = esc_attr($user->display_name) . ' (' . esc_attr($user->user_email) . ')'; ?>
                    <input type="text" class="alsp-input <?php if($can_open_on_behalf) echo 'alsp-input--dropdown';?>" data-alsp="user-search"
                        value="<?php echo $value; ?>"
                        data-value="<?php echo $value; ?>"
                        data-original-value="<?php echo $value; ?>"
                        data-original-label="<?php echo sprintf(__('Me - %1$s', 'awedesk'), $value); ?>"
                        data-id="<?php echo $user->ID ?>"
                        placeholder="<?php echo __('Search', 'awedesk') ?>..."
                        readonly <?php echo $can_open_on_behalf ? '' : 'disabled' ?> />
                    <?php if($can_open_on_behalf) { ?> <i class="alsp-i-angle-small-down alsp-input__icon"></i><?php } ?>
                    <i class="alsp-i-loading alsp-i-spin alsp-input__icon" data-alsp="user-search-loading"></i>
                    <i class="alsp-i-cross-small alsp-input__icon" data-alsp="user-search-remove"></i>
                    <div class="alsp-input__dropdown alsp-dropdown" data-alsp="user-search-dropdown"></div>
                </div>
            </div>
        </div>
        <?php } else { ?>
        <div class="alsp-form__row">
            <label class="alsp-form__label" for=""><?php echo __('Email', 'awedesk'); ?></label>
            <div class="alsp-form__control">
                <input class="alsp-input" type="text" value="" data-alsp="new-ticket-email" />
            </div>
        </div>
        <?php } ?>
        <div class="alsp-form__row">
            <label class="alsp-form__label" for=""><?php echo __('Subject', 'awedesk'); ?></label>
            <div class="alsp-form__control">
                <div class="alsp-input__wrapper">
                    <input class="alsp-input" type="text" value="" data-alsp="new-ticket-subject"
                        data-charlimit="<?php echo ALSP_Config::get('chars_limit_subject_number', 150) ?>" data-charcount />
                    <?php if(ALSP_Config::get('docs_enabled', 1)) { ?>
                    <i class="alsp-i-loading alsp-i-spin alsp-input__icon" data-alsp="new-ticket-sugg-loading" style="display:none"></i>
                    <?php } ?>
                </div>
            </div>
            <?php if(ALSP_Config::get('docs_enabled', 1)) { ?>
            <div class="alsp-suggestions" data-alsp="new-ticket-sugg-list" style="display:none"></div>
            <?php } ?>
        </div>
        <div class="alsp-form__row" data-alsp="form-row">
            <label class="alsp-form__label" for=""><?php echo __('Department', 'awedesk'); ?></label>
            <div class="alsp-form__control">
                <div class="alsp-input__wrapper">
                    <select class="alsp-input alsp-input--dropdown" data-alsp="new-ticket-department"></select>
                    <i class="alsp-i-angle-small-down alsp-input__icon"></i>
                </div>
            </div>
        </div>
        <div class="alsp-form__row">
            <label class="alsp-form__label" for=""><?php echo __('Message', 'awedesk'); ?></label>
            <div class="alsp-form__control">
                <textarea class="alsp-input alsp-input--textarea" rows="5" data-alsp="new-ticket-message"
                          data-lost-content-warning="<?php echo esc_attr__('The message you have entered will be lost. Are you sure?', 'awedesk') ?>"
                          data-charlimit="<?php echo ALSP_Config::get('chars_limit_content_number', 10000) ?>" data-charcount></textarea>
            </div>
        </div>
        <?php if(class_exists('ALSP_REST_V1_Endpoint_Pro_Ticket_Private_Notes') && apply_filters('alsp_is_pro', FALSE) && ALSP_Config::get('secret_enabled', 1)) { ?>
        <div class="alsp-form__row">
            <label class="alsp-form__label" for=""><?php echo __('Private note', 'awedesk'); ?> <span>(<?php echo __('Optional','awedesk');?>)</span></label>

            <div class="alsp-form__desc">
                <?php echo ALSP_REST_V1_Endpoint_Pro_Ticket_Private_Notes::description(TRUE); ?>
            </div>
            <div class="alsp-form__control">
                <textarea class="alsp-input alsp-input--textarea" rows="5" data-alsp="new-ticket-secret"
                          data-lost-content-warning="<?php echo esc_attr__('The message you have entered will be lost. Are you sure?', 'awedesk') ?>"
                          data-charlimit="<?php echo ALSP_Config::get('chars_limit_content_number', 10000) ?>" data-charcount></textarea>
            </div>
        </div>
        <?php } ?>

        <?php if (1 == ALSP_Config::get('attachment_enabled', 1)) { ?>
        <!-- data-alsp:attachments -->
        <?php } ?>

        <div class="alsp-form__actions">
            <button class="alsp-btn alsp-btn--regular" data-alsp="new-ticket-cancel">
                <div class="alsp-btn__inner">
                    <i class="alsp-i-cross"></i>
                    <span><?php echo __('Cancel', 'awedesk'); ?></span>
                </div>
            </button>
            <button class="alsp-btn alsp-btn--action alsp-btn--regular" data-alsp="new-ticket-submit">
                <div class="alsp-btn__inner">
                    <i class="alsp-i-check"></i>
                    <span><?php echo __('Submit', 'awedesk'); ?></span>
                </div>
            </button>
        </div>
        <input type="hidden" value="<?php echo wp_create_nonce('wp_rest') ?>" data-alsp="new-ticket-nonce" />
    </div>
</div>

