<div class="alsp-pref" data-alsp="preferences" style="display:none">
    <!-- MOBILE NAVIGATION -->
    <div class="alsp-single__nav-mobile">
        <span onClick="history.back();">
            <i class="alsp-i-arrow-left"></i><!-- Back button -->
        </span>
        <?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OVVZcjd2TjlJMElZMG5QdmVZelMzZzRtV1kreTg5blVpQ2NHdXlqUTBaUUR3S0dIY2FMcmw2WGp0MU5OMFNBdlFaNDhRaWoyaitZTi9RU2J5TkI4UE5wQUlDUWJ6UHdJK1dzaXZWRDRtSGJGR3d3bHZYNXFpODFvWHdzRDBlT2FvPQ==*/ if (current_user_can('administrator')) { ?>
            <a href="<?php echo admin_url('admin.php?page=alsp');  ?>" target="_blank">
                <i class="alsp-i-gears"></i>
            </a>
        <?php } ?>
    </div>
    <!-- end: MOBILE NAVIGATION -->

    <div class="alsp-single__nav">
        <!-- Back to ticket listing -->
        <button onClick="history.back();" class="alsp-single__navi alsp-single__navi--back alsp-tip alsp-tip--right" aria-label="<?php echo esc_attr__('Back', 'awedesk'); ?>">
            <i class="alsp-i-arrow-left"></i>
        </button>

        <?php if (current_user_can('administrator')) { ?>
            <a href="<?php echo admin_url('admin.php?page=alsp');  ?>" target="_blank" class="alsp-single__navi alsp-single__navi--config alsp-tip alsp-tip--left"
                aria-label="<?php echo esc_attr__('Configuration', 'awedesk'); ?>">
                <i class="alsp-i-gears"></i>
            </a>
        <?php } ?>

        <a href="#preferences" class="alsp-single__navi alsp-single__navi--preferences alsp-active alsp-tip alsp-tip--left"
            aria-label="<?php echo esc_attr__('User Preferences', 'awedesk'); ?>">
            <i class="alsp-i-user-gear"></i>
        </a>

        <button class="alsp-single__navi alsp-single__navi--focus alsp-focus__toggle alsp-tip alsp-tip--left" aria-label="<?php echo esc_attr__('Enable focus mode', 'awedesk'); ?>" aria-label-alt="<?php echo esc_attr__('Disable focus mode', 'awedesk'); ?>" data-alsp="focus-toggle">
            <i class="alsp-i-window-maximize"></i>
        </button>
    </div>
    <div class="alsp-pref__container">
        <div class="alsp-pref__box">
            <div class="alsp-pref__title">
                <span><?php echo __('Account details', 'awedesk'); ?></span>
            </div>
            <div class="alsp-form alsp-pref__form">
                <!-- Name -->
                <div class="alsp-pref__item" data-alsp="account-name" data-config>
                    <div class="alsp-form__row alsp-pref__item-display" data-alsp="view">
                        <label class="alsp-form__label" for=""><?php echo __('Name', 'awedesk'); ?></label>
                        <div class="alsp-form__control">
                            <span data-alsp="display-name"></span>
                            <button class="alsp-btn" data-alsp="btn-edit"><?php echo __('Edit', 'awedesk'); ?></button>
                            <div style="display:inline-flex; align-items:center">
                                <i class="alsp-i-check" data-check style="display:none"></i>
                            </div>
                        </div>
                    </div>
                    <div class="alsp-pref__item-edit" data-alsp="edit" style="display:none">
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('First Name', 'awedesk'); ?></label>
                            <div class="alsp-form__control" data-alsp="input-wrapper">
                                <input class="alsp-input" type="text" name="first_name" value="" />
                            </div>
                            <div class="alsp-form__error" data-alsp="notice" style="font-size:.8em; display:none">
                                <?php echo __('Enter 2 or more characters to continue.', 'awedesk') ?>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('Last Name', 'awedesk'); ?></label>
                            <div class="alsp-form__control" data-alsp="input-wrapper">
                                <input class="alsp-input" type="text" name="last_name" value="" />
                            </div>
                            <div class="alsp-form__error" data-alsp="notice" style="font-size:.8em; display:none">
                                <?php echo __('Enter 2 or more characters to continue.', 'awedesk') ?>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for="">&nbsp;</label>
                            <div class="alsp-pref__actions">
                                <button class="alsp-btn" data-alsp="btn-cancel"><?php echo __('Cancel', 'awedesk'); ?></button>
                                <button class="alsp-btn alsp-btn--action" data-alsp="btn-save"><?php echo __('Save', 'awedesk'); ?></button>
                                <div style="display:inline-flex; align-items:center">
                                    <i class="alsp-i-loading alsp-i-spin" data-loading style="display:none"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Email -->
                <div class="alsp-pref__item" data-alsp="account-email" data-config>
                    <div class="alsp-form__row alsp-pref__item-display" data-alsp="view">
                        <label class="alsp-form__label" for=""><?php echo __('Email', 'awedesk'); ?></label>
                        <div class="alsp-form__control">
                            <span data-alsp="email"></span>
                            <button class="alsp-btn" data-alsp="btn-edit"><?php echo __('Edit', 'awedesk'); ?></button>
                            <div style="display:inline-flex; align-items:center">
                                <i class="alsp-i-check" data-check style="display:none"></i>
                            </div>
                        </div>
                    </div>
                    <div class="alsp-pref__item-edit" data-alsp="edit" style="display:none">
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('Password', 'awedesk'); ?></label>
                            <div class="alsp-form__control" data-alsp="input-wrapper">
                                <input class="alsp-input" type="password" name="old_password" value="" />
                            </div>
                            <div class="alsp-form__error" data-alsp="notice" style="font-size:.8em; display:none">
                                <?php echo __('Enter 5 or more characters to continue.', 'awedesk') ?>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('Email', 'awedesk'); ?></label>
                            <div class="alsp-form__control" data-alsp="input-wrapper">
                                <input class="alsp-input" type="text" name="email" value="" />
                            </div>
                            <div class="alsp-form__error" data-alsp="notice" style="font-size:.8em; display:none">
                                <?php echo __('Enter a valid email address.', 'awedesk') ?>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('Confirm email', 'awedesk'); ?></label>
                            <div class="alsp-form__control" data-alsp="input-wrapper">
                                <input class="alsp-input" type="text" name="email_confirm" value="" />
                            </div>
                            <div class="alsp-form__error" data-alsp="notice" style="font-size:.8em; display:none">
                                <?php echo __('Email address does not match.', 'awedesk') ?>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for="">&nbsp;</label>
                            <div class="alsp-pref__actions">
                                <button class="alsp-btn" data-alsp="btn-cancel"><?php echo __('Cancel', 'awedesk'); ?></button>
                                <button class="alsp-btn alsp-btn--action" data-alsp="btn-save"><?php echo __('Save', 'awedesk'); ?></button>
                                <div style="display:inline-flex; align-items:center">
                                    <i class="alsp-i-loading alsp-i-spin" data-loading style="display:none"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Password -->
                <div class="alsp-pref__item" data-alsp="account-password" data-config>
                    <div class="alsp-form__row alsp-pref__item-display" data-alsp="view">
                        <label class="alsp-form__label" for=""><?php echo __('Password', 'awedesk'); ?></label>
                        <div class="alsp-form__control">
                            <span>*********</span>
                            <button class="alsp-btn" data-alsp="btn-edit"><?php echo __('Edit', 'awedesk'); ?></button>
                        </div>
                    </div>
                    <div class="alsp-pref__item-edit" data-alsp="edit" style="display:none">
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('Current password', 'awedesk'); ?></label>
                            <div class="alsp-form__control" data-alsp="input-wrapper">
                                <input class="alsp-input" type="password" name="old_password" value="" />
                            </div>
                            <div class="alsp-form__error" data-alsp="notice" style="font-size:.8em; display:none">
                                <?php echo __('Enter 5 or more characters to continue.', 'awedesk') ?>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('New password', 'awedesk'); ?></label>
                            <div class="alsp-form__control" data-alsp="input-wrapper">
                                <input class="alsp-input" type="password" name="new_password_1" value="" />
                            </div>
                            <div class="alsp-form__error" data-alsp="notice" style="font-size:.8em; display:none">
                                <?php echo __('Enter 5 or more characters to continue.', 'awedesk') ?>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('Confirm new password', 'awedesk'); ?></label>
                            <div class="alsp-form__control" data-alsp="input-wrapper">
                                <input class="alsp-input" type="password" name="new_password_2" value="" />
                            </div>
                            <div class="alsp-form__error" data-alsp="notice" style="font-size:.8em; display:none">
                                <?php echo __('Password does not match.', 'awedesk') ?>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for="">&nbsp;</label>
                            <div class="alsp-pref__actions">
                                <button class="alsp-btn" data-alsp="btn-cancel"><?php echo __('Cancel', 'awedesk'); ?></button>
                                <button class="alsp-btn alsp-btn--action" data-alsp="btn-save"><?php echo __('Save', 'awedesk'); ?></button>
                                <div style="display:inline-flex; align-items:center">
                                    <i class="alsp-i-loading alsp-i-spin" data-loading style="display:none"></i>
                                    <i class="alsp-i-check" data-check style="display:none"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="alsp-pref__box">
            <div class="alsp-pref__title">
                <span><?php echo __('Preferences', 'awedesk'); ?></span>
            </div>
            <div class="alsp-form alsp-pref__form">
                <!-- Email Notifications -->
                <div class="alsp-pref__item" data-alsp="preference-item" data-config>
                    <div class="alsp-checkbox alsp-checkbox--switch">
                        <input type="checkbox" name="receive_emails" id="receive_emails" data-alsp="pref-checkbox">
                        <label class="alsp-form__label" for="receive_emails"><?php echo __('Email notifications', 'awedesk'); ?></label>
                        <i class="alsp-i-loading alsp-i-spin" data-loading style="display:none"></i>
                        <i class="alsp-i-check" data-check style="display:none"></i>
                    </div>
                </div>
                <!-- Signature -->
                <?php
                    $signature = new ALSP_Signature();
                    if ($signature->can_use_custom()) {
                ?>
                <div class="alsp-pref__item" data-alsp="preference-item" data-config>
                    <div class="alsp-pref__item-edit">
                        <div class="alsp-form__row alsp-pref__col">
                            <label class="alsp-form__label" for=""><?php echo __('Signature', 'awedesk'); ?></label>
                            <div class="alsp-form__control">
                                <textarea class="alsp-input alsp-input--textarea" name="signature" rows="5" data-alsp="pref-textarea"></textarea>
                                <div style="text-align:right">
                                    <div style="display:inline-flex; align-items:center">
                                        <i class="alsp-i-loading alsp-i-spin" data-loading style="display:none"></i>
                                    </div>
                                    <button class="alsp-btn" data-alsp="btn-cancel" style="display:none"><?php echo __('Cancel', 'awedesk'); ?></button>
                                    <button class="alsp-btn alsp-btn--action" data-alsp="btn-save" style="display:none"><?php echo __('Save', 'awedesk'); ?></button>
                                </div>
                            </div>
                        </div>
                        <div class="alsp-form__row alsp-pref__col"></div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>
