<div data-alsp="attachment-item" class="alsp-attachment alsp-attachment--full {{= data.error ? 'error' : '' }} {{= data.loading ? 'Loading' : '' }}"
        data-id="{{= data.id }}" data-name="{{- data.name }}">
    <div class="alsp-attachment__inner">
        <i class="alsp-i-{{= data.error ? 'hexagon-exclamation' : 'document' }}"></i>
        <span>
            {{- data.name.replace(/^\\d{10}_/i, '').replace(/_\\d{10}(\\.[a-z\\d]+)?$/i, '\\$1') }}
            {{ if (typeof data.error === 'string') { }}
            <small>{{- data.error }}</small>
            {{ } }}
        </span>
        <i data-alsp="remove" class="alsp-attachment__remove {{= data.loading ? 'alsp-i-spinner alsp-i-spin' : 'alsp-i-trash' }}"></i>
    </div>
</div>
