{{ if (data.attachments && data.attachments.length) { }}
<div class="alsp-message__attachments" data-alsp="attachments">
    <div class="alsp-single__media">
        <div class="alsp-single__media-title">
            <i class="alsp-i-clip"></i><?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L0MzU2NsTTUxck11RG9ZN3ozSERtdGxUREpiOHo0RFdmNHp3NnBBZWM3L1V1TUNtWFBmN3dhbWFwM04vZlhtb2Z1MnBkU1NVd2JITnFVMnZHVWJsM0w0TjFYTXoreUxrbmhrNHFhRTNnbFlrSTc5TTgwcEFRN3h2N2VrVzd2bWh3PQ==*/ echo __('Attachments', 'awedesk') ?>
        </div>
        <div class="alsp-attachments alsp-attachments--message">
            <div class="alsp-attachments__list">
                {{ data.attachments.forEach(function(item) { }}
                {{ let name = item.name.replace(/^\d{10}_/i, '').replace(/_\d{10}(\.[a-z\d]+)?$/i, '\$1'); }}
                {{ let ext = name.replace(/^.+?(\.[a-z\d]+)?$/i, '\$1'); }}
                {{ let type = 'txt', icon = 'document'; }}
                {{ if (ext.match(/\.(pdf)$/i)) { type = 'pdf'; icon = 'file-pdf'; } }}
                {{ if (ext.match(/\.(jpe?g|png|gif)$/i)) { type = 'jpg'; icon = 'file-image'; } }}
                {{ if (ext.match(/\.(zip|rar|tar|gz|bz2)$/i)) { type = 'txt'; icon = 'file-zipper'; } }}
                {{ if (ext.match(/\.(avi|mov|mp4|mpeg|ogg|wmv|webm)$/i)) { type = 'txt'; icon = 'file-video'; } }}
                <div class="alsp-attachment" data-alsp-filetype="{{= type }}" title="{{- name }}">
                    <a class="alsp-attachment__inner" href="?alsp_attachment={{= item.id }}&auth_code={{= data.auth_code }}" target="_blank">
                        <i class="alsp-i-{{= icon }}"></i>
                        <span>{{- item.id }}{{- ext }}</span>
                    </a>
                </div>
                {{ }); }}
            </div>
        </div>
    </div>
</div>
{{ } }}
