<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L0g5d0VNcXEyNHVQNy82anBRSTJtNXh5c25rZjlLVkdZRGtWUUJsL21RbnlnWXpnWkdLcGhVVGNxSDFWaDhVYnFJRGNjV3BiOWg1VnBqdHF2UW4rWDU2QlJscy9meG1KdnhNMFBISUQrbWR3PT0=*/ $assets = ALSP_Frontend_Assets::get_instance(); ?>
<div class="alsp-view alsp-view--single" data-alsp="ticket" style="display:none">
    <!-- MOBILE NAVIGATION -->
    <div class="alsp-single__nav-mobile">
        <span data-alsp="back-to-tickets">
            <i class="alsp-i-arrow-left"></i><!-- Back button -->
        </span>
        <span data-alsp="scroll-to-replies">
            <i class="alsp-i-arrow-to-bottom"></i><!-- Scroll to ticket replies -->
        </span>
        <?php if (current_user_can('administrator')) { ?>
            <a href="<?php echo admin_url('admin.php?page=alsp');  ?>" target="_blank">
                <i class="alsp-i-gears"></i>
            </a>
        <?php } ?>
        <a href="#preferences">
            <i class="alsp-i-user-gear"></i>
        </a>
        {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
        <span data-alsp="toggle-sidebar" data-alsp="ticket-sidebar-toggle">
            <i class="alsp-i-sidebar-flip"></i>
        </span>
        {{ } }}
    </div>
    <!-- end: MOBILE NAVIGATION -->

    <div class="alsp-single__nav">
        <!-- Back to ticket listing -->
        <a href="#tickets" class="alsp-single__navi alsp-single__navi--back" data-alsp="back-to-tickets">
            <i class="alsp-i-arrow-left"></i><?php echo __('All tickets', 'awedesk') ?>
        </a>

        <?php if (current_user_can('administrator')) { ?>
            <a href="<?php echo admin_url('admin.php?page=alsp');  ?>" target="_blank" class="alsp-single__navi alsp-single__navi--config alsp-tip alsp-tip--left"
                aria-label="<?php echo esc_attr__('Configuration', 'awedesk'); ?>">
                <i class="alsp-i-gears"></i>
            </a>
        <?php } ?>

        <a href="#preferences" class="alsp-single__navi alsp-single__navi--preferences alsp-tip alsp-tip--left"
            aria-label="<?php echo esc_attr__('User Preferences', 'awedesk'); ?>">
            <i class="alsp-i-user-gear"></i>
        </a>

        {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
        <button class="alsp-single__navi alsp-single__navi--sidebar alsp-tip alsp-tip--left" aria-label="<?php echo __('Show sidebar', 'awedesk') ?>" aria-label-alt="<?php echo __('Hide sidebar', 'awedesk') ?>" data-alsp="ticket-sidebar-toggle">
            <i class="alsp-i-sidebar-flip"></i>
        </button>
        {{ } }}

        <button class="alsp-single__navi alsp-single__navi--focus alsp-focus__toggle alsp-tip alsp-tip--left" aria-label="<?php echo esc_attr__('Enable focus mode', 'awedesk'); ?>" aria-label-alt="<?php echo esc_attr__('Disable focus mode', 'awedesk'); ?>" data-alsp="focus-toggle">
            <i class="alsp-i-window-maximize"></i>
        </button>
    </div>

    <div class="alsp-view__columns">
        <div class="alsp-view__inner">
            <div class="alsp-single__actions">
                {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
                <div class="alsp-single__status">
                    <!-- Ticket Status -->
                    <?php echo $assets->get_template('ticket/status_options'); ?>

                    {{ if (data.is_admin || data.is_manager) { }}
                    <button class="alsp-single__action alsp-single__action--trash alsp-tip alsp-tip--bottom"
                            data-alsp="ticket-trash" aria-label="<?php echo __('Move to trash', 'awedesk'); ?>">
                        <i class="alsp-i-trash"></i>
                    </button>
                    {{ } }}
                </div>
                {{ } else { }}
                <!-- Ticket Status -->
                <?php echo $assets->get_template('ticket/status'); ?>
                {{ } }}

                <!-- Ticket Agent -->
                {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
                <?php echo $assets->get_template('ticket/agent_options'); ?>
                {{ } }}

                <!-- Ticket Department -->
                {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
                <?php echo $assets->get_template('ticket/department_options'); ?>
                {{ } else { }}
                <?php echo $assets->get_template('ticket/department'); ?>
                {{ } }}

                <!-- Ticket Prevent Autoclose -->
                {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
                <?php echo $assets->get_template('ticket/no_autoclose_options'); ?>
                {{ } }}

                <!-- Ticket Watch -->
                <?php if (apply_filters('alsp_is_pro', FALSE)) { ?>
                {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
                <?php echo $assets->get_template('pro/ticket/watch_options'); ?>
                {{ } }}
                <?php } ?>

                <!-- Jump to bottom -->
                <button class="alsp-single__action alsp-single__action--bottom alsp-tip alsp-tip--bottom" aria-label="<?php echo esc_attr__('Jump to bottom', 'awedesk'); ?>" data-alsp="jump-to-bottom">
                    <i class="alsp-i-arrow-to-bottom"></i>
                </button>
            </div>

            <!-- Ticket Needs attention -->
            {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
            <span class="alsp-alert alsp-alert--error" data-alsp="ticket-needs-attention"
                style="display:none"><i class="alsp-i-hexagon-exclamation"></i><?php echo __('Needs Attention'); ?></span>
            {{ } }}

            <div class="alsp-single__content">
                <div class="alsp-single__heading">
                    <div class="alsp-single__title" data-alsp="ticket-subject"></div>

                    <!-- Ticket's created date -->
                    <span class="alsp-single__date">
                        <span>
                            <i class="alsp-i-calendar-clock"></i>
                            <span data-alsp="ticket-created"></span>
                        </span>
                    </span>

                    <!-- Ticket's creator information -->
                    {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
                    <span class="alsp-single__date" data-alsp="ticket-created-by" style="display:none">
                        <span>
                            <i class="alsp-i-user"></i>
                            <span class="alsp-tip alsp-tip--right" data-alsp="ticket-created-by-name"
                                aria-label="<?php echo __('Created by agent', 'awedesk'); ?>"></span>
                        </span>
                    </span>
                    {{ } }}
                </div>

                <?php if(class_exists('ALSP_REST_V1_Endpoint_Pro_Ticket_Private_Notes') && apply_filters('alsp_is_pro', FALSE) && ALSP_Config::get('secret_enabled', 1)) { ?>
                <div data-alsp="ticket-secret" data-tmpl="ticket/secret"></div>
                <?php } ?>

                <div class="alsp-single__desc">
                    <p data-alsp="ticket-question"></p>
                </div>
            </div>

            <?php if (1 == ALSP_Config::get('attachment_enabled', 1)) { ?>
            <div class="alsp-attachments" data-alsp="ticket-attachments"></div>
            <div class="alsp-attachments" data-alsp="ticket-attachments-failed"></div>
            <?php } ?>

            <div data-alsp="ticket-messages-scrollmarker"><!--
                This element is here to determine where is the start of the messages thread for app to scroll to.
            --></div>
            <div data-alsp="ticket-messages" data-tmpl="ticket/messages"></div>
            <div data-alsp="ticket-reply" data-tmpl="ticket/reply"></div>
        </div>
        {{ if (data.is_admin || data.is_manager || data.is_agent) { }}
        <div data-alsp="ticket-minibar" data-tmpl="ticket/minibar"></div>
        <div data-alsp="ticket-sidebar" data-tmpl="ticket/sidebar"></div>
        {{ } }}
    </div>
</div>
