<div data-alsp="ticket-reply">
    <div data-alsp="lock-warning" style="display:none">
        <div class="alsp-alert alsp-alert--warning alsp-alert--vcenter">
            <i class="alsp-i-hexagon-exclamation"></i>
            <span>
                <?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OUl5VWNZOGZEN1ROL0txUzdBM1JxY1FaUTVtNVBKWXc0VTlWa3JvRnk3TFVSUnpqWi9iQjVzeVRNUXdZOEpWUjQ2YXFxMjZpd05sQ3NlRE15WmJkWTVPTGFXWThrUlFMTFN3TGc4V2ZGeC9nPT0=*/ echo sprintf(
                    __('%s is currently editing this ticket', 'awedesk'),
                    '<strong data-alsp="lock-warning-agent"></strong>');
                ?>
            </span>
            <button class="alsp-btn alsp-btn--sm" data-alsp="lock-takeover">
                <?php echo __('Take over', 'awedesk') ?>
            </button>
        </div>
        <br>
    </div>
    <div class="alsp-messages__title">
        <i class="alsp-i-comment-alt"></i><?php echo __('Reply', 'awedesk') ?>
    </div>
    <div class="alsp-single__reply">
        <textarea class="alsp-input alsp-input--textarea" rows="5" data-alsp="content"
            data-lost-content-warning="<?php echo esc_attr__('The message you have entered will be lost. Are you sure?', 'awedesk') ?>"
            data-charlimit="<?php echo ALSP_Config::get('chars_limit_content_number', 10000) ?>" data-charcount
            placeholder="<?php echo esc_attr__('Reply', 'awedesk') ?>..."></textarea>
        <?php if (1 == ALSP_Config::get('attachment_enabled', 1)) { ?>
        <!-- data-alsp:attachments -->
        <?php } ?>

        <div class="alsp-single__reply-actions">
            <button data-alsp="btn-reopen" class="alsp-btn alsp-btn--default">
                <div class="alsp-btn__inner">
                    <i class="alsp-i-refresh"></i>
                    <span><?php echo __('Re-open ticket', 'awedesk') ?></span>
                    <i class="alsp-i-loading alsp-i-spin"></i>
                </div>
            </button>
            <button data-alsp="btn-close" class="alsp-btn alsp-btn--default">
                <div class="alsp-btn__inner">
                    <i class="alsp-i-memo-circle-check"></i>
                    <span><?php echo __('Close', 'awedesk') ?></span>
                    <i class="alsp-i-loading alsp-i-spin"></i>
                </div>
            </button>



            <div style="display:flex; gap:var(--PXS)">

                <?php
                $disabled = !apply_filters('alsp_is_pro', FALSE) ? ' style="disabled=\'disabled\'" onclick="return false;"' : '';
                if((new ALSP_Signature())->can_use_custom()) {
                ?>
                    <a href="#preferences" data-alsp="btn-edit-signature" class="alsp-btn alsp-tip" aria-label="<?php echo __('Edit signature','awedesk');?><?php echo $disabled ?>">
                        <div class="alsp-btn__inner">
                            <i class="alsp-i-signature"></i>
                        </div>
                    </a>

                <?php } ?>

                <?php if (1 == ALSP_Config::get('attachment_enabled', 1)) { ?>
                <!-- data-alsp:attachment_button -->
                <?php } ?>

                <button data-alsp="btn-reply" class="alsp-btn alsp-btn--action">
                    <div class="alsp-btn__inner">
                        <span><?php echo __('Reply', 'awedesk') ?></span>
                        <i class="alsp-i-loading alsp-i-spin"></i>
                    </div>
                </button>
            </div>
        </div>
    </div>
</div>
