<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L2FLYlEwKy9PNWw0elNSWWdGWm5JTDhrWFhTMXR6Umo1NldEbi9CVnc2QWRQZWlWWWsxaHBFZ3hWZzRjNkJPTVpKOFBCM3RqRmFrOW5La0t3RG5wYnhFM2gxUEhRdzV2SVRQT3FNWVhrZHQ3R1BPT25SMFdDaU1rN0UyelZ2Y3FVPQ==*/


    $staff_notes_client = (class_exists('ALSP_REST_V1_Endpoint_Pro_Staff_Notes') && apply_filters('alsp_is_pro', FALSE) && 1 == ALSP_Config::get('staff_notes_clients_enabled', 1));
    $staff_notes_ticket = (class_exists('ALSP_REST_V1_Endpoint_Pro_Staff_Notes') && apply_filters('alsp_is_pro', FALSE) && 1 == ALSP_Config::get('staff_notes_tickets_enabled', 1));

?><div class="alsp-sidebar" data-alsp="ticket-sidebar">
    <div class="alsp-sidebar__inner">
        <div class="alsp-sidebar__header">
            <?php echo __('Client info', 'awedesk') ?>
            <span class="alsp-sidebar__toggle" data-alsp="toggle">
                <i class="alsp-i-cross-small"></i>
            </span>
        </div>

        <div class="alsp-sidebar__widget alsp-sidebar__widget--user">
            <a class="alsp-sidebar__user" href="/wp-admin/user-edit.php?user_id={{- data.id }}" target="_blank">
                <div class="alsp-sidebar__avatar">
                    <span>
                        {{ if (data.avatar) { }}
                        <img src="{{- data.avatar }}" style="width:100%; height:100%" />
                        {{ } }}
                    </span>
                </div>
                <div class="alsp-sidebar__user-name">
                    <span>{{- data.name }}</span>
                </div>
            </a>
            <div class="alsp-sidebar__meta">
                <span class="alsp-sidebar__meta-mail alsp-tip alsp-tip--left"
                    aria-label="<?php echo __('Copy email', 'awedesk') ?>" aria-label-alt="<?php echo __('Copied!', 'awedesk') ?>"
                    data-alsp="copy-email" data-email="{{- data.email }}">
                    <i class="alsp-i-envelope"></i>
                    <a href="#">{{- data.email }}</a>
                </span>
                {{ if ((data.url || '').trim()) { }}
                <span class="alsp-sidebar__meta-web alsp-tip alsp-tip--left" aria-label="<?php echo __('Visit website', 'awedesk') ?>">
                    <i class="alsp-i-site-alt"></i>
                    <a href="{{- data.url }}" target="_blank">{{- data.url }}</a>
                </span>
                {{ } else { }}
                <span class="alsp-sidebar__meta-web alsp-tip alsp-tip--left" aria-label="<?php echo __('Client has no website', 'awedesk') ?>">
                    <i class="alsp-i-site-alt"></i>
                    <span style="opacity: .4;"><?php echo __('none', 'awedesk') ?></span>
                </span>
                {{ } }}
            </div>
            <div class="alsp-sidebar__separator"></div>
            <div class="alsp-sidebar__meta">
                <span class="alsp-tip alsp-tip--left" aria-label="<?php echo __('Registration date', 'awedesk') ?>">
                    <i class="alsp-i-calendar-check"></i>{{= data.registered }}
                </span>
                <?php do_action('alsp_template_insert', 'ticket/sidebar/1') ?>
            </div>
        </div>

        <?php do_action('alsp_template_insert', 'ticket/sidebar/2') ?>

        <div class="alsp-sidebar__widget alsp-sidebar__widget--tickets">
            <div class="alsp-sidebar__counters alsp-tip alsp-tip--left"
                aria-label="<?php echo __('Tickets', 'awedesk') ?>">
                <div class="alsp-sidebar__count alsp-sidebar__count--total">
                    <span>{{= data.statistics.total }}</span>
                    <span>
                        <?php echo __('Total', 'awedesk') ?>
                    </span>
                </div>
                <a href="#tickets/open,client={{= data.id }}" target="_blank" class="alsp-sidebar__count alsp-sidebar__count--active">
                    <span>{{= data.statistics.open }}</span>
                    <span><?php echo __('Active', 'awedesk') ?></span>
                </a>
                <a href="#tickets/closed,client={{= data.id }}" target="_blank" class="alsp-sidebar__count alsp-sidebar__count--closed">
                    <span>{{= data.statistics.closed }}</span>
                    <span><?php echo __('Closed', 'awedesk') ?></span>
                </a>
            </div>

            <div class="alsp-sidebar__tickets">
                <div class="alsp-sidebar__tickets-header">
                    <?php echo __('Most recent tickets', 'awedesk') ?>
                </div>
                <div class="alsp-sidebar__tickets-list">
                    {{ if (data.tickets && data.tickets.length) for (let i = 0; i < data.tickets.length; i++) { }} <span
                        class="alsp-sidebar__ticket alsp-status--{{- data.tickets[i].status }}"
                        title="{{- data.tickets[i].subject }}">
                        <a href="#ticket/{{= data.tickets[i].id }}">#{{= data.tickets[i].id }} • {{-
                            data.tickets[i].subject }}</a>
                        </span>
                        {{ } }}
                </div>
            </div>
        </div>

        <?php if ($staff_notes_client || $staff_notes_ticket) { ?>
        <?php if ($staff_notes_client) { ?>
        <div data-alsp="ticket-staff-notes-client" data-tmpl="ticket/staff_notes_client"></div>
        <?php } ?>
        <?php if ($staff_notes_ticket) { ?>
        <div data-alsp="ticket-staff-notes-ticket" data-tmpl="ticket/staff_notes_ticket"></div>
        <?php } ?>
        <?php } ?>
    </div>
</div>