<div class="alsp-tickets__head-inner">
    <label class="alsp-tickets__search">
        <i class="alsp-i-search"></i>

        <!-- #621 - prevent browsers from auto-filling login data to search field by displaying a hidden fake login form -->
        <div style="display:none">
            <form id="alsp-login" onsubmit="javascript:;">
                <input type="text" name="login-email"  data-alsp="login-email"  />
                <input type="password" name="login-passwd" data-alsp="login-passwd"   />
            </form>
        </div>

        <?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OXI5c09VL09Ta2x3QnBzUndleVhOanNwNEkzUURWbVlmMmhUNjRRelBYZDdOY016U1J3Z3h3UEsrUjBuaHRVZnlMM1RTWEk4VUhmT2dnU0Z0ZGtmVXF3ZVN3SGFmN3VrSDQxVjFiTzQwMHRsd3p3Yktvb1l2dHo2K3lkVGx6TWVZPQ==*/ $search_id = 'awedesk-search'; ?>
        <form id="alsp-search" onsubmit="javascript:;">
            <input type="text" name="<?php echo $search_id;?>" id="<?php echo $search_id;?>" data-alsp="tickets-search" value="{{- data.search || '' }}"
                   placeholder="<?php echo __('Search', 'awedesk'); ?>...">
        </form>
        <i class="alsp-i-cross-small" data-alsp="tickets-search-empty" style="{{= data.search ? '' : 'display:none' }}"></i>
    </label>
    <div class="alsp-tickets__actions">
        {{ if ('deleted' !== data.list) { }}
        <a href="#new" class="alsp-tickets__add alsp-btn alsp-btn--action"
                data-alsp="new-ticket-toggle">
            <i class="alsp-i-add-document"></i><span><?php echo __('New ticket', 'awedesk'); ?></span>
        </a>
        {{ } else { }}
        <button class="alsp-tickets__remove alsp-btn alsp-btn--remove"
                data-alsp="tickets-empty-trash">
            <i class="alsp-i-trash"></i><span><?php echo __('Empty trash', 'awedesk'); ?></span>
        </button>
        {{ } }}

        <?php if (current_user_can('administrator')) { ?>
        <a href="<?php echo  admin_url('admin.php?page=alsp'); ?>" target="_blank" class="alsp-tickets__action alsp-btn alsp-btn--ui alsp-tip"
                aria-label="<?php echo esc_attr__('Configuration', 'awedesk'); ?>">
            <i class="alsp-i-gears"></i>
        </a>
        <?php } ?>

        <a href="#preferences" class="alsp-tickets__action alsp-btn alsp-btn--ui alsp-tip alsp-tip--top"
            aria-label="<?php echo esc_attr__('User Preferences', 'awedesk'); ?>">
            <i class="alsp-i-user-gear"></i>
        </a>

        <button class="alsp-tickets__action alsp-focus__toggle alsp-btn alsp-btn--ui alsp-tip alsp-tip--left" aria-label="<?php echo esc_attr__('Enable focus mode', 'awedesk'); ?>" aria-label-alt="<?php echo esc_attr__('Disable focus mode', 'awedesk'); ?>" data-alsp="focus-toggle">
            <i class="alsp-i-window-maximize"></i>
        </button>
    </div>
</div>

{{ if (data.client || data.author || data.agent || data.department || data.last_reply_by) { }}
<div class="alsp-tickets__filters">
    {{ if (data.client) { }}
    <span class="alsp-tickets__filter alsp-tip" data-alsp="filter-client" aria-label="<?php echo esc_attr__('Client', 'awedesk'); ?>">
        <i class="alsp-i-filter"></i>
        <strong data-alsp="client-name" data-id="{{= data.client }}">
            <!-- client name will be rendered asynchronously -->
            <i class="alsp-i-loading alsp-i-spin"></i>
        </strong>
        <a href="#{{= data.client_filter_url }}"><i class="alsp-i-cross-small"></i></a>
    </span>
    {{ } }}
    {{ if (data.author) { }}
    <span class="alsp-tickets__filter alsp-tip" data-alsp="filter-author" aria-label="<?php echo esc_attr__('Author', 'awedesk'); ?>">
        <i class="alsp-i-filter"></i>
        <strong data-alsp="author-name" data-id="{{= data.author }}">
            <!-- author name will be rendered asynchronously -->
            <i class="alsp-i-loading alsp-i-spin"></i>
        </strong>
        <a href="#{{= data.author_filter_url }}"><i class="alsp-i-cross-small"></i></a>
    </span>
    {{ } }}
    {{ if (data.agent) { }}
    <span class="alsp-tickets__filter alsp-tip" data-alsp="filter-agent" aria-label="<?php echo esc_attr__('Agent', 'awedesk'); ?>">
        <i class="alsp-i-filter"></i>
        <strong>{{- data.agent.display_name || data.agent.user_login }}</strong>
        <a href="#{{= data.agent_filter_url }}"><i class="alsp-i-cross-small"></i></a>
    </span>
    {{ } }}
    {{ if (data.department) { }}
    <span class="alsp-tickets__filter alsp-tip" data-alsp="filter-department" aria-label="<?php echo esc_attr__('Department', 'awedesk'); ?>">
        <i class="alsp-i-filter"></i>
        <strong>{{- data.department.name }}</strong>
        <a href="#{{= data.department_filter_url }}"><i class="alsp-i-cross-small"></i></a>
    </span>
    {{ } }}
    {{ if (data.last_reply_by) { }}
    <span class="alsp-tickets__filter alsp-tip" data-alsp="filter-last_reply_by" aria-label="<?php echo esc_attr__('Last Reply By', 'awedesk'); ?>">
        <i class="alsp-i-filter"></i>
        <strong data-alsp="last-reply-by-name" data-id="{{= data.last_reply_by }}">
            <!-- last reply by name will be rendered asynchronously -->
            <i class="alsp-i-loading alsp-i-spin"></i>
        </strong>
        <a href="#{{= data.last_reply_by_filter_url }}"><i class="alsp-i-cross-small"></i></a>
    </span>
    {{ } }}
</div>
{{ } }}
