<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OXJ4UVJsRVlDUW12YWM0QmpNMGVTejdabGlyQnpxOXlaV01PeXJXb0UxM3NYb2Q1TFlaTnY2c1A0amMxbmJ2b0pqSkg3WjlqSmUycU9zUlNydTA1SEEzMHl5OXVqdVdBa2dsZzMwZGJBdlpRPT0=*/

$user = ALSP_User::get_instance();
$is_admin = current_user_can('manage_options') || $user->is_manager() || $user->is_agent();

?><div onclick="location.href='#ticket/{{= data.id }}'"
    class="alsp-table__tr alsp-ticket alsp-ticket--{{= data.status.status }}" data-alsp="item" data-id="{{= data.id }}" data-status="{{= data.status.status }}">
    <div class="alsp-table__td alsp-ticket__status">
        <span class="alsp-status alsp-status--{{- data.status.status }}">
            <!-- <span>{{= data.status.label }}</span> -->
        </span>
    </div>
    <div class="alsp-table__td alsp-ticket__id">
        <a href="#ticket/{{= data.id }}" style="color:unset; text-decoration:none">
            <span>#</span>{{= data.id }}
        </a>
    </div>
    <div class="alsp-table__td alsp-ticket__desc">
        <a href="#ticket/{{= data.id }}" style="color:unset; text-decoration:none">
            <span data-alsp="item-subject" data-id="{{= data.id }}">
                <div class="alsp-ticket__desc-name">{{= data.subject }}</div>
                <div class="alsp-ticket__desc-meta">
                    <span class="alsp-status alsp-status--{{- data.status.status }}">{{= data.status.label }}</span>
                    <?php if ($is_admin) { ?>
                    {{ if (data.needs_attention == 1) { }}
                    <span class="alsp-flag alsp-flag--attention" title="<?php echo __('Needs Attention'); ?>"><i class="alsp-i-hexagon-exclamation"></i></span>
                    {{ } }}
                    <?php } ?>
                </div>
                {{ if (+data.lock && data.lock_agent && +data.lock_agent.id !== +'<?php echo get_current_user_id() ?>') { }}
                <div class="alsp-ticket__desc-agent">
                    <?php echo __('Agent working on this', 'awedesk') ?>:
                    <span class="alsp-tip alsp-tip--left" aria-label="{{- data.lock_agent.display_name || data.lock_agent.user_login }}">
                        <img src="{{= data.lock_agent.user_avatar }}" alt="{{- data.lock_agent.display_name || data.lock_agent.user_login }}">
                    </span>
                </div>
                {{ } }}
            </span>
        </a>
    </div>
    <div class="alsp-table__td alsp-ticket__department">
        {{ if (data.department && data.department.name) { }}
        <a href="#{{= data.department_filter_url }}" data-alsp="item-department" data-id="{{= data.department.id }}">{{- data.department.name }}</a>
        {{ } else { }}
        <i style="opacity:.5">
            <?php echo __('None', 'awedesk'); ?>
        </i>
        {{ } }}
    </div>

    <?php if ($is_admin) { ?>

    <div class="alsp-table__td alsp-ticket__author">
        {{ if (data.client instanceof Object) { }}
        <a href="#{{= data.client_filter_url }}" data-alsp="item-author" data-id="{{= data.client.id }}">
            {{- data.client.display_name || data.client.user_login }}
        </a>
        {{ } else { }}
        <i style="opacity:.5">
            <?php echo __('None', 'awedesk'); ?>
        </i>
        {{ } }}
    </div>

    <div class="alsp-table__td alsp-ticket__agent">
        {{ if (data.agent instanceof Object) { }}
        <a href="#{{= data.agent_filter_url }}" data-alsp="item-agent" data-id="{{= data.agent.id }}">
            {{- data.agent.display_name || data.agent.user_login }}
        </a>
        {{ } else { }}
        <i style="opacity:.5">
            <?php echo __('None', 'awedesk'); ?>
        </i>
        {{ } }}
    </div>
    <?php } ?>
    <div class="alsp-table__td alsp-ticket__date alsp-tip" aria-label="{{= data.last_reply_time_absolute }}">
        <span>{{= data.last_reply_time_relative }}</span>
    </div>
    <div class="alsp-table__td alsp-ticket__last_reply_by">
        {{ if (data.last_reply_by instanceof Object) { }}
        <a href="#{{= data.last_reply_by_filter_url }}" data-alsp="item-last_reply_by" data-id="{{= data.last_reply_by.id }}">
            {{- data.last_reply_by.display_name || data.last_reply_by.user_login }}
        </a>
        {{ } else { }}
        <i style="opacity:.5">
            <?php echo __('None', 'awedesk'); ?>
        </i>
        {{ } }}
    </div>
</div>
