(function (wp, alsp, data) {
	const { __ } = wp.i18n;
	const { createElement } = wp.element;
	const { registerBlockType } = wp.blocks;
	const { hooks } = alsp;

	registerBlockType('alsp/block', {
		title: 'Awedesk',
		icon: 'list-view',
		category: 'widgets',
		keywords: ['Awedesk', 'awedesk','support','almighty'],
		edit(props) {
			setTimeout(() => hooks.doAction('block_added'), 400);
			return createElement('div', { class: 'alsp', 'data-alsp': 'root' });
		},
		save(props) {
			return null;
		}
	});
})(window.wp, window.alsp, window.alspEditorData);
