<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OTc5dUJHUStBVncxWnpmVVJaT1RZNjRZRDdXS0V0WmVwM2pSVnJvbDNkRm9UcFlYdzZFcThld1dNb0JUdHN0WGNqVWdqcUR0dDQ1TnlROTV4T0ZreDlkVFk1cm1tdnBYNEpzUHdrSXkwaEdIU2xoaXNuTW1La0tac21aWWxYUTduM3BZUm1oNCtMN3h3dlEzcWRBc0Z1*/

class ALSP_REST_V1_Endpoint_Pro_Admin_Department_EP extends ALSP_REST_V1_Endpoint
{
    public function __construct()
    {
        parent::__construct();
    }

    public function read(WP_REST_Request $request)
    {
        $department_id = $request['department_id'];
        if (!$department_id) {
            wp_send_json_error('Department ID should not be empty!', 400);
        }

        $obj_department = new ALSP_Model_Department($department_id);
        $department_details = $obj_department->get_item();
        if(!isset($department_details['id'])) {
            wp_send_json_error('Department not found!', 400);
        }

        $position = 'department-config-' . $department_id;
        $config = ALSP_Config::admin_config($position);

        return $config;
    }

    public function can_read()
    {
        $this->alsp_user = ALSP_User::get_instance();
        return $this->alsp_user->is_admin();
    }
}

// EOF
