<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OCtiZUorWW1TZmZ5cXdyY2locVJOYlBsK2tWUDNFajlFditUakU2MEltbWF0TUpVcTk3QnhPZkgra09CTU9DWGFpNlo1eDI2aG9HcEMrc0ZrMmVVM3BTenpBTmZTSE1TUTFjbGpnSUticmdpTlFuZGR5UWJLMlQvYnV3SElIK0tFPQ==*/

class Awecloud_Client_Log {

    private static $instance = NULL;

    public static function get_instance()
    {
        return (NULL == self::$instance) ? self::$instance = new self() : self::$instance;
    }

    private function __construct() {

        $events = [
            'alsp_ticket_create_succeded' => 'ticket',
            'alsp_message_create_succeded' => 'reply',
            'wp_mail_succeeded' => 'email',
        ];

        foreach($events as $hook => $event) {
            add_action($hook, function($data) use ($event){
                $extra = is_scalar($data) ? (string) $data : '';
                if('reply' == $event) {
                    Awecloud_Client_Log::_($event);
                    Awecloud_Client_Log::_($extra);
                    return;
                } else {
                    Awecloud_Client_Log::_($event);
                }
            });
        }
    }

    public static function _($event, $extra='') {
        global $wpdb;
        $wpdb->insert(
            $wpdb->prefix . 'alsp_log',
            ['event' => $event,'extra'=>$extra],
            ['%s', '%s']
        );
    }
}

Awecloud_Client_Log::get_instance();
