<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OENGTGFQRTJ1U3ZUMFZ4Z0RuenA3R3QybzQ1RkJnNDZuU1dEMXhCVEVDWTBNNnl4emhQdlFYVGtYVzZienRiUEphL01ycXN2ZWVBWDhOMjcyeEdzNWpBVnFiZWhmYmlGU3lRRjVreEMvQ1l6Ym1kS2xjOEFOSzU0ZDBlZDR1OGx3PQ==*/

add_action('init', function () {
    if (!is_admin() && get_current_user_id() && class_exists('TRP_Translate_Press')) {
        global $TRP_LANGUAGE;
        if (strlen($TRP_LANGUAGE)) {
            update_user_option(get_current_user_id(), 'alsp_trp_lang', $TRP_LANGUAGE);
        }
    }
});


function ALSP_MultiLang__($string, $domain, $user_id, $fallback = TRUE)
{

    if (ALSP_Third_Party::has_multilingual_trp()) {
        $locale = ALSP_MultiLang_User_Locale($user_id);
        if (strstr($locale, 'en_')) {
            return $string;
        }

        $mo = new MO;
        $path = apply_filters('alsp_absolute_textdomain_path', ALSP::absolute_textdomain_path(), $domain);
        $path .= $domain . '-' . $locale . '.mo';


        if ($mo->import_from_file($path)) {
            return $mo->translate($string);
        }

        $WPLANG = ALSP_Utility_WP::get_option('WPLANG');
        // If nothing found, try falling back to the site language
        if ($fallback) {
            return ALSP_MultiLang__($string, $WPLANG, $user_id, FALSE);
        }
    }

    // Finally, fallback to regular gettext
    return __($string, $domain);
}

function ALSP_MultiLang_User_Locale($user_id)
{
    $locale = get_user_option('alsp_trp_lang', $user_id);
    if (!strlen($locale)) {
        $locale = ALSP_Utility_WP::get_option('WPLANG');
    }
    return $locale;
}