<style>
    /* TODO: Move and improve this temporary styling. */
    div[data-alsp=user-search-dropdown] {
        background: white;
        border: 1px solid #2271b1;
        border-radius: 4px;
        box-shadow: 0 0 0 1px #2271b1;
        box-sizing: border-box;
        display: none;
        padding: 5px;
        position: absolute;
        left: 0;
        right: 0;
        width: 100%;
        z-index: 2;
    }

    div[data-alsp=user-search-dropdown] > div {
        display: block;
        padding: 3px 5px;
    }

    div[data-alsp=user-search-dropdown] > div[data-id]:hover {
        background: lightgray;
        cursor: pointer;
    }

    div[data-alsp=user-search-dropdown] > div[data-alsp=user-search-notice] {
        font-size: .8em;
        font-style: italic;
        opacity: .7;
        padding-top: 10px;
    }
</style>

<div class="alsp-wrapper">
    <?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OHMzRmlUOEFsTFZaWHQ1a21kU2ZVeXd3ZTVTZU0rZURXVWVNQ0YwZVdtWjNML3hTUEpJMFNqTHVNd1N1K3JNR1RSU3Bud0tKaFkrQ21hM21ub2ROV04rVXVBRGRKZTIwWHNjdmJnV3k3V3BBPT0=*/
    ALSP_Config_Panel::admin_logo();
    $status = ALSP_Config::get('license_status');
    ?>
    <?php if (!apply_filters('alsp_is_pro', FALSE) && $status !== 'valid') {
        // Content for promo codes is loaded from our server, no need for escaping
        // echo ALSP_Remote_Content::get('upsell', TRUE, ['location' => 'dashboard']);
    } ?>

    <div class="alsp-main alsp-main--agents">
        <div class="alsp-column">
            <div class="alsp-panel">
                <div class="alsp-panel__header">
                    <div class="alsp-panel__name"><i class="alsp-i-user-add"></i><span>
                            <?php echo __('Add New', 'awedesk'); ?>
                        </span></div>
                </div>
                <div class="alsp-panel__content">
                    <div class="alsp-opt alsp-opt--text">
                        <div class="alsp-opt__form alsp-opt__form--col">
                            <label class="alsp-opt__label">
                                <?php echo __('User', 'awedesk'); ?>
                            </label>
                            <div class="alsp-opt__form-input">
                                <div class="alsp-input__wrapper">
                                    <input class="alsp-opt__input alsp-input" type="text" data-alsp="user-search"
                                        placeholder="<?php echo __('Search', 'awedesk') ?>...">
                                    <div class="alsp-input__clear" data-alsp="user-search-remove"><i
                                            class="alsp-i-cross-small"></i></div>
                                    <div class="alsp-input__dropdown" data-alsp="user-search-dropdown"></div>
                                </div>
                                <div class="alsp-opt__desc">
                                    <?php echo __('Select a user which will be added as an agent.', 'awedesk'); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="alsp-opt alsp-opt--select">
                        <div class="alsp-opt__form alsp-opt__form--col">
                            <label class="alsp-opt__label">
                                <?php echo _n('Role', 'Roles', 1, 'awedesk'); ?>
                            </label>
                            <div class="alsp-opt__form-input">
                                <select class="alsp-opt__input alsp-input" data-alsp="user-add-role">
                                    <option value="<?php echo ALSP_User::ROLE_AGENT ?>"><?php echo __('Agent', 'awedesk'); ?></option>
                                    <option value="<?php echo ALSP_User::ROLE_MANAGER ?>"><?php echo __('Manager', 'awedesk'); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="alsp-opt alsp-opt--list">
                        <div class="alsp-opt__form alsp-opt__form--col">
                            <label class="alsp-opt__label">
                                <?php echo __('Departments', 'awedesk'); ?>
                            </label>
                            <div class="alsp-opt__form-input">
                                <div data-alsp="user-add-departments"></div>


                            </div>
                        </div>
                    </div>
                </div>
                <div class="alsp-panel__footer">
                    <div class="alsp-panel__actions">
                        <button class="alsp-btn alsp-btn--action" data-alsp="user-add-submit" disabled>
                            <i class="alsp-i-plus"></i>
                            <span>
                                <?php echo __('Add', 'awedesk'); ?>
                            </span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="alsp-column">
            <div class="alsp-panel">
                <div class="alsp-panel__header">
                    <div class="alsp-panel__name"><i class="alsp-i-users"></i><span>
                            <?php echo __('Agents', 'awedesk'); ?>
                        </span></div>
                </div>
                <div class="alsp-panel__content">
                    <table class="wp-list-table widefat fixed striped table-view-list tags">
                        <thead>
                            <tr>
                                <!-- <td class="manage-column column-cb check-column"><input type="checkbox"></td> -->
                                <th>
                                    <?php echo __('Name', 'awedesk') ?>
                                </th>
                                <th>
                                    <?php echo _n('Role', 'Roles', 1, 'awedesk') ?>
                                </th>
                                <th>
                                    <?php echo __('Departments', 'awedesk') ?>
                                </th>
                            </tr>
                        </thead>
                        <tbody id="the-list" data-alsp="agents">
                            <tr class="no-items">
                                <td class="colspanchange" colspan="4">
                                    <?php echo __('Loading', 'awedesk').'...'; ?>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <!-- <td class="manage-column column-cb check-column"><input type="checkbox"></td> -->
                                <th>
                                    <?php echo __('Name', 'awedesk') ?>
                                </th>
                                <th>
                                    <?php echo _n('Role', 'Roles', 1, 'awedesk') ?>
                                </th>
                                <th>
                                    <?php echo __('Departments', 'awedesk') ?>
                                </th>
                            </tr>
                        </tfoot>
                    </table>
                    <div class="alsp-opt__desc">
                        <?php echo __('All WordPress Administrators have unrestricted access to view, edit, reply and interact with any and all tickets in any and all departments.', 'awedesk'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
