<tr class="hidden"><!-- dummy row to maintain striped color --></tr>
<tr class="inline-edit-row">
    <td class="colspanchange" colspan="3">
        <div class="alsp-panel__header">
            <div class="alsp-panel__name" style="font-size:1rem">
                <img src="{{- data.agent.user_avatar }}" alt="{{- data.agent.display_name || data.agent.user_login  }}"
                    style="width:40px; height:40px" />
                <span>{{- data.agent.display_name || data.agent.user_login }}</span>
            </div>
        </div>
        <div class="alsp-panel__content">
            {{ let hasOptions = false; }}

            {{ if (data.role === 'admin') { }}
            <input type="hidden" data-alsp="agent-edit-role" value="{{= data.role }}">
            {{ } else { }}
            {{ hasOptions = true; }}
            <div class="alsp-opt alsp-opt--select">
                <div class="alsp-opt__form">
                    <label class="alsp-opt__label"><?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L2NEOXVFNnJZSE51eVg3Zkg2SklPdnRubTdZaUVqelpLbWFhaVVzMDIwWDB6N1RtTjNtMEZvUktVMU9nYkt0TWhvUUlHS3dFZm4zY3pkV0ZaTDFZbDg1NFZrMFBrMjJOS0l3cXNFL08wZDEzSmN5bldLZnp0WTFabkI4NktSQWw0PQ==*/ echo _n('Role', 'Roles', 1, 'awedesk'); ?></label>
                    <div class="alsp-opt__form-input">
                        <select class="alsp-opt__input alsp-input" data-alsp="agent-edit-role">
                            <option value="<?php echo ALSP_User::ROLE_AGENT ?>"
                                    {{= '<?php echo ALSP_User::ROLE_AGENT ?>' === data.role ? 'selected' : '' }}
                            ><?php echo __('Agent', 'awedesk'); ?></option>
                            <option value="<?php echo ALSP_User::ROLE_MANAGER ?>"
                                    {{= '<?php echo ALSP_User::ROLE_MANAGER ?>' === data.role ? 'selected' : '' }}
                            ><?php echo __('Manager', 'awedesk'); ?></option>
                        </select>
                    </div>
                </div>
            </div>
            {{ } }}

            {{ if (data.signature && +data.signature.can_use_custom) { }}
            {{ hasOptions = true; }}
            <div class="alsp-opt alsp-opt--textarea">
                <div class="alsp-opt__form">
                    <label class="alsp-opt__label"><?php echo __('Signature', 'awedesk'); ?></label>
                    <div class="alsp-opt__form-input">
                        <textarea class="alsp-text__input alsp-input" data-alsp="agent-edit-signature">{{=
                            data.signature.has_custom && data.signature.signature ? data.signature.signature : ''
                        }}</textarea>
                    </div>
                </div>
            </div>
            {{ } }}

            {{ if (data.html_departments && data.role !== 'admin') { }}
            {{ hasOptions = true; }}
            <div class="alsp-opt alsp-opt--check">
                <div class="alsp-opt__form">
                    <label class="alsp-opt__label"><?php echo __('Departments', 'awedesk'); ?></label>
                    <div class="alsp-opt__form-input">
                        <div data-alsp="agent-edit-departments">{{= data.html_departments }}</div>
                    </div>
                </div>
            </div>
            {{ } }}

            {{ if (!hasOptions) { }}
            <p data-alsp="agent-no-options"><?php echo __('No available settings for this user.', 'awedesk') ?></p>
            {{ } }}
        </div>
        <div class="alsp-panel__footer">
            <div class="alsp-panel__actions">
                <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                <button class="alsp-btn" data-alsp="agent-edit-cancel">
                    <span><?php echo __('Cancel', 'awedesk') ?></span>
                </button>
                <button class="alsp-btn alsp-btn--action" data-alsp="agent-edit-save" data-id="{{= data.id }}" disabled="disabled">
                    <span><?php echo __('Update', 'awedesk') ?></span>
                </button>
            </div>
        </div>
    </td>
</tr>
