<div class="alsp-opt alsp-opt--color" data-type="{{= data.type }}" data-id="{{= data.id }}" data-parent="{{= data.parent || '' }}">
    <div class="alsp-opt__form">
        <label class="alsp-opt__label" for="{{= data.id }}">
            {{= data.label }}
        </label>
        <div class="alsp-opt__form-input">
            <div class="alsp-input__wrapper">
                <input type="text" id="{{= data.id }}" value="{{= data.value || '' }}" data-value="{{- data.value || '' }}" />
                <button class="alsp-opt__action alsp-btn"></button>
                <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
            </div>
            {{ if (data.description) { }}
            <div class="alsp-opt__desc">{{= data.description }}</div>
            {{ } }}
        </div>
        <div class="alsp-opt__form-actions">
            <button class="alsp-opt__action alsp-btn alsp-btn--link" data-id="{{= data.id }}"
                    data-btn="clear" {{= data.value ? '' : 'style="display:none"' }}>
                <i class="alsp-i-eraser"></i>
                <span><?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OWN1ekQvMkhQb0g2V3I5bzY2MS9jMW4wYkFQRXo1c0NDNDNGZUJiQy9EM1pQaEF0OHNSRUt0aGdxNzlWY2pUL3F2UEc2b0EwTDFYM3JVWG1VZUFtODhHNnMvUkJzSWNiYnlqREo1U3UrSklyTlRlQmVrL015eHlqVUJkSnpkSDU4PQ==*/ echo esc_attr(__('Clear', 'awedesk')); ?></span>
            </button>
        </div>
    </div>
</div>

