<div class="alsp-opt alsp-opt--select" data-type="{{= data.type }}" data-id="{{= data.id }}" data-parent="{{= data.parent || '' }}">
    <div class="alsp-opt__form">
        <label class="alsp-opt__label" for="{{= data.id }}">
            {{= data.label }}
        </label>
        <div class="alsp-opt__form-input">
            <div class="alsp-input__wrapper">
                <select class="alsp-opt__input alsp-input" id="{{= data.id }}" >
                    {{ for ( let key in data.options ) { }}
                        {{ let value = key }}

                        {{ if ('object' === typeof data.options[key]) { }}
                        {{ if ('undefined' !== typeof data.options[key].value) value = data.options[key].value }}
                        <option value="{{- value }}" {{ if (value == data.value) { }}selected{{ } }}
                            title="{{- data.options[key].title }}">{{- data.options[key].label }}</option>
                        {{ } else { }}
                        <option value="{{- value }}" {{ if (value == data.value) { }}selected{{ } }}
                            >{{- data.options[key] }}</option>
                        {{ } }}
                    {{ } }}
                </select>
                <i class="alsp-i-spinner alsp-i-spin" data-loading style="display:none"></i>
                <i class="alsp-i-check alsp-check" data-check style="display:none"></i>
            </div>

            {{ if (data.description) { }}
            <div class="alsp-opt__desc">{{= data.description }}</div>
            {{ } }}
        </div>
        <div class="alsp-opt__form-actions">

            <button class="alsp-opt__action alsp-btn" data-id="{{= data.id }}" data-btn="cancel"
                    data-tooltip="<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2LzY2VWM5TVZSN0xkR0lkRDBaN1FRYjJVcWVSb3Z6ZjFRcW5weU5zUlo0WjBUVVA1UDVSRElJUFAzTXFrUXlwZjg1ZWwrcXlSRGVtWFllWE5FR1F5VGhJK0xBZ05vbFR4ZUtYVXJvK013dFFHbDYwN25VaTUwUHhSanp5VzRQN0Y4PQ==*/ echo esc_attr(__('Cancel', 'awedesk')); ?>" style="display:none">
                <i class="alsp-i-cross"></i>
            </button>
            <button class="alsp-opt__action alsp-btn alsp-btn--action" data-id="{{= data.id }}" data-btn="save"
                    data-tooltip="<?php echo esc_attr(__('Save', 'awedesk')); ?>" style="display:none">
                <i class="alsp-i-check"></i>
            </button>
        </div>
    </div>
</div>
