<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2L2Y3R3AvbEg3TGhkOFJFa09IZy9CMXc4TDZPN3RQUlltcUJHTmc3U0VtaHM2blVJeGZvbDZJQUM3UkdpTXcwNEE5SnRSa1hJQVpSdHFLUGtaWTJGbHA5bkU1dGxpb0ZMWE5ZTDRwRFRTRXRyNVBqZ3Uzb0Q4YVNpYi9qNTJKRjA4PQ==*/

$status = ALSP_Config::get('license_status');
$license = ALSP_Config::get('license_key');

$valid = $status === 'valid';

?><div class="alsp-wrapper">
    <?php ALSP_Config_Panel::admin_logo(); ?>
    <?php if (!apply_filters('alsp_is_pro', FALSE) && !$valid) {
        // echo ALSP_Remote_Content::get('upsell', TRUE, ['location' => 'dashboard']);
    } ?>
    <div class="alsp-main alsp-main--license">
        <div class="alsp-column">
            <div class="alsp-panel">
                <div class="alsp-panel__header">
                    <div class="alsp-panel__name">
                        <i class="fa fa-key"></i>
                        <span><?php echo __('License', 'awedesk'); ?></span>
                    </div>
                </div>
                <div class="alsp-panel__content">
                    <form class="alsp-opt alsp-opt--text" data-type="text" method="post" action="options.php">
                        <?php wp_nonce_field('alsp_nonce', 'alsp_nonce'); ?>
                        <label for="alsp_license_key" class="alsp-opt__label">
                            <?php echo __('Key', 'awedesk'); ?>
                        </label>
                        <div class="alsp-opt__form">
                            <div class="alsp-opt__form-input">
                                <input type="text" id="alsp_license_key" name="alsp_license_key"
                                    class="alsp-input alsp-input--full" value="<?php echo esc_attr($license); ?>" />
                                <i class="fa-solid fa-circle-notch alsp-spinner" data-loading style="display:none"></i>
                                <i class="fa-solid fa-check alsp-check" data-check style="display:none"></i>
                            </div>
                            <input type="submit" class="alsp-btn alsp-btn--action" name="edd_license_activate"
                                data-alsp="activate" data-btn="save" value="<?php echo __('Activate', 'awedesk'); ?>"
                                <?php echo $valid ? 'style="display:none"' : '' ?> />
                                <input type="submit" class="alsp-btn alsp-btn--action" name="edd_license_deactivate"
                                data-alsp="deactivate" data-btn="save" value="<?php echo __('Deactivate', 'awedesk') ?>"
                                <?php echo $valid ? '' : 'style="display:none"' ?> />
                            <input type="hidden" name="_wp_http_referer"
                                value="<?php echo esc_attr($_SERVER['REQUEST_URI']); ?>">

                        </div>
                    </form>
                    <div class="alsp-opt alsp-opt--text" data-alsp="install-notice" style="display:none">
                        <span class="alsp-opt__label" style="white-space:nowrap">
                            <i class="fa-solid fa-circle-notch fa-spin"></i>
                            <span><?php echo sprintf(
                                __('Activating %s', 'awedesk'),
                                '<strong>Awedesk (Pro)</strong>')
                            ?></span>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
