<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2LzdsMG00ZGV2aGQwVU9XaEN3RXVxdmdSTG5ZaGFvUVdVZFRQcHdkQkpVWDEvaXZqbldpUG41N1paRjdzek9Td0kzcDdiTkh0R3l4bm1NNlZ3WUNzdEZnY2Y0WmRObnVOT3FSb1pZWE5OcU1RPT0=*/

$nonce = wp_create_nonce('wp_rest');

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
$tfa_enabled = class_exists('Simba_Two_Factor_Authentication') || class_exists('Simba_Two_Factor_Authentication_Plugin');

?><div class="alsp-view alsp-view--login" data-alsp="guest" style="display:none">
    <?php if( ALSP_Config::get('login_guest_enabled')) { ?>
    <div class="alsp-tabs alsp-tabs--login" data-alsp="guest-menu">
        <button class="alsp-tabs__item alsp-btn" data-alsp="guest-toggle" data-tab="login">
            <div class="alsp-btn__inner">
                <span><?php echo __('Log in', 'awedesk'); ?></span>
                <small><?php echo __('I already have an account', 'awedesk'); ?></small>
            </div>
        </button>
        <button class="alsp-tabs__item alsp-btn" data-alsp="guest-toggle" data-tab="login-as-guest">
            <div class="alsp-btn__inner">
                <span><?php echo __('Continue as guest', 'awedesk'); ?></span>
                <small><?php echo __('Automatically create an account', 'awedesk'); ?></small>
            </div>
        </button>
    </div>
    <?php } ?>

    <div data-alsp="guest-tab" data-tab="login" style="display:none">
        <form class="alsp-form alsp-form--login">
            <div class="alsp-alert alsp-alert--error" data-alsp="login-error" style="display:none">
                <i class="alsp-i-hexagon-exclamation"></i>
                <span data-alsp="login-error-msg"></span>
            </div>
            <div class="alsp-form__row" data-alsp="form-field">
                <label class="alsp-form__label"><?php echo ALSP_Config::get('login_by_username_enabled', FALSE) ? __('Username or Email', 'awedesk') : __('Email', 'awedesk') ?></label>
                <div class="alsp-form__control">
                    <input class="alsp-input" type="text" value="" data-alsp="login-email">
                </div>
            </div>
            <div class="alsp-form__row" data-alsp="form-field">
                <label class="alsp-form__label"><?php echo __('Password', 'awedesk') ?></label>
                <div class="alsp-form__control">
                    <input class="alsp-input" type="password" data-alsp="login-passwd">
                </div>
            </div>
            <?php if ($tfa_enabled) { ?>
            <div class="alsp-form__row" data-alsp="form-field" style="display:none">
                <label class="alsp-form__label"><?php echo __('One Time Password (i.e. 2FA)', 'awedesk') ?></label>
                <div class="alsp-form__control">
                    <input class="alsp-input" type="text" data-alsp="login-tfa">
                </div>
            </div>
            <?php } ?>
            <div class="alsp-form__row" data-alsp="form-field">
                <div class="alsp-form__control">
                    <div class="alsp-checkbox">
                        <input id="rememberme" name="rememberme" type="checkbox" data-alsp="login-rememberme" value="forever">
                        <label for="rememberme">
                            <span><?php echo __('Remember Me', 'awedesk') ?></span>
                        </label>
                    </div>
                </div>
            </div>
            <div class="alsp-form__actions">
                <input type="hidden" value="<?php echo $nonce ?>" data-alsp="login-nonce" />
                <button class="alsp-btn alsp-btn--regular alsp-btn--action" data-alsp="login-submit">
                    <i class="alsp-i-loading alsp-i-spin"></i>
                    <?php echo __('Log in', 'awedesk'); ?>
                </button>
                <?php
                    if(ALSP_Config::get('login_forgot_enabled')) {
                        echo '<a href="' . esc_url(ALSP_Frontend_Assets::get_url('forgot_password')) . '">'.__('Forgot password','awedesk').'</a>';
                    }

                    if(ALSP_Config::get('login_register_enabled')) {
                        echo '<a href="' . esc_url(ALSP_Frontend_Assets::get_url('register')) . '">'.__('Register','awedesk').'</a>';
                    }
                ?>
            </div>
        </form>
    </div>
    <?php if( ALSP_Config::get('login_guest_enabled')) { ?>
    <div data-alsp="guest-tab" data-tab="login-as-guest" style="display:none">
        <form class="alsp-form alsp-form--login">
            <div class="alsp-alert alsp-alert--error" data-alsp="guest-error" style="display:none">
                <i class="alsp-i-hexagon-exclamation"></i>
                <span data-alsp="guest-error-msg"></span>
            </div>
            <div class="alsp-form__row">
                <label class="alsp-form__label" for=""><?php echo __('Email', 'awedesk'); ?></label>
                <div class="alsp-form__control">
                    <input class="alsp-input" type="text" value="" data-alsp="guest-email" >
                    <i class="alsp-i-spinner alsp-i-spin" data-loading style="position:absolute; top:14px; right:14px; display:none"></i>
                </div>
            </div>
            <div class="alsp-form__row" data-alsp="form-field" style="display:none">
                <div class="alsp-alert alsp-alert--info">
                    <i class="alsp-i-user"></i>
                    <span><?php echo __('Email is already registerd. Please enter your password.', 'awedesk') ?></span>
                </div>
                <label class="alsp-form__label" for=""><?php echo __('Password', 'awedesk'); ?></label>
                <div class="alsp-form__control">
                    <input class="alsp-input" type="password" value="" data-alsp="guest-passwd" >
                </div>
            </div>
            <?php if ($tfa_enabled) { ?>
            <div class="alsp-form__row" data-alsp="form-field" style="display:none">
                <label class="alsp-form__label"><?php echo __('One Time Password (i.e. 2FA)', 'awedesk') ?></label>
                <div class="alsp-form__control">
                    <input class="alsp-input" type="text" data-alsp="guest-tfa">
                </div>
            </div>
            <?php } ?>
            <div class="alsp-form__row" data-alsp="form-field">
                <div class="alsp-form__control">
                    <div class="alsp-checkbox">
                        <input id="rememberme-guest" name="rememberme" type="checkbox" data-alsp="guest-rememberme" value="forever">
                        <label for="rememberme-guest"></label>
                        <span><?php echo __('Remember Me', 'awedesk') ?></span>
                    </div>
                </div>
            </div>

            <div class="alsp-alert alsp-alert--warning"><?php echo __('Contacting us as a guest automatically creates an account on our website using the email address of your choice. Any and all replies to your questions will be available within our support system. You will also receive emails confirming question submission, replies and other.', 'awedesk') ?></div>
        
            <div class="alsp-form__actions">
                <input type="hidden" value="<?php echo $nonce ?>" data-alsp="guest-nonce" />
                
                <button class="alsp-btn alsp-btn--regular alsp-btn--action" data-alsp="guest-submit"
                    data-text-continue="<?php echo esc_attr(__('Continue as guest', 'awedesk')) ?>"
                    data-text-login="<?php echo esc_attr(__('Log in', 'awedesk')) ?>">
                    <?php echo __('Continue as guest', 'awedesk'); ?>
                </button>
            </div>
        </form>
    </div>
    <?php } ?>
</div>
