<div class="alsp-message{{= data.type === 'ticket_updates' ? ' alsp-message--status' : '' }}" data-alsp="ticket-message"
    data-id="{{= data.id }}" data-type="{{= data.type }}">
    <div class="alsp-message__inner">
        <div class="alsp-message__header">
            <div class="alsp-message__avatar">
                <span>
                    {{ if (data.author && data.author.user_avatar) { }}
                    <img src="{{- data.author.user_avatar }}">
                    {{ } else { }}
                    <i class="alsp-i-user"></i>
                    {{ } }}
                </span>
            </div>
            <div class="alsp-message__meta">
                <div class="alsp-message__author">
                    {{ if (data.author instanceof Object) { }}
                    {{- data.author.display_name || data.author.user_login }}
                    {{ } }}
                </div>
                <div class="alsp-message__time">
                    <span class="alsp-tip alsp-tip--right" aria-label="{{= data.created_absolute }}">{{- data.created_relative }}</span>
                </div>
            </div>
        </div>
        <div class="alsp-message__text">{{= data.message }}</div>

        <?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OEFnVzZRak5SWVZWSzJFZFhrazBlM1BUTit3eXN4a2tpT0VjcUZSSHQwYXBBRytkN1Irek1ZeS9vMlNwNWxmZDNzMmZ1eWx1ZjFyMGxEVWZrZXN0TFNteklQOW5xTWh2NE9WeWVaK2Zram5SME1SQjl6MmRmVkRWSm5ueXBNeWdrPQ==*/ do_action('alsp_template_insert', 'ticket/message/1') ?>

        <?php if (1 == ALSP_Config::get('attachment_enabled', 1)) { ?>
            {{ if (data.failed_attachments && data.failed_attachments.length) { }}
            <div class="alsp-message__attachments" data-alsp="attachments-failed">
                <div class="alsp-single__media">
                    <div class="alsp-single__media-title">
                        <i class="alsp-i-clip"></i><?php echo __('Failed Attachments', 'awedesk') ?>
                    </div>
                    <div class="alsp-attachments alsp-attachments--message alsp-attachments--failed">
                        <div class="alsp-attachments__list">
                            {{ data.failed_attachments.forEach(function(item) { }}
                            {{ let type = 'txt', icon = 'document'; }}
                            {{ if (item.file_name.match(/\.pdf$/i)) { type = 'pdf'; icon = 'file-pdf'; } }}
                            {{ if (item.file_name.match(/\.(jpe?g|png|gif)$/i)) { type = 'jpg'; icon = 'file-image'; } }}
                            {{ if (item.file_name.match(/\.(zip|rar|tar|gz|bz2)$/i)) { type = 'txt'; icon = 'file-zipper'; } }}
                            {{ if (item.file_name.match(/\.(avi|mov|mp4|mpeg|ogg|wmv|webm)$/i)) { type = 'txt'; icon =
                            'file-video'; }
                            }}
                            <div class="alsp-attachment" data-alsp-filetype="{{= type }}" title="{{- item.file_name }} - {{- item.error }}">
                                <div class="alsp-attachment__inner">
                                    <i class="alsp-i-{{= icon }}"></i>
                                    <span>{{- item.file_name }}<small>{{- item.error }}</small></span>
                                </div>
                            </div>
                            {{ }); }}
                        </div>
                    </div>
                </div>
            </div>
            {{ } }}
        <?php } ?>
    </div>
    <div class="alsp-message__time">
        <span class="alsp-tip alsp-tip--right" aria-label="{{= data.created_absolute }}">{{- data.created_relative }}</span>
    </div>
</div>
