<?php /*QW9Weng5ayt0UStQZ2dZRWxzTXVFakd2c21tZ093UnM1WWJLK1grblg2OC9oZEF4ak03ZUR6T1dpQWVzelZlMWo3aHpydE5DK2ZRY0I2cFpWM2VnbUc0bmdOdVNFK091ZkFyUDR5SnZ4TVN1dUF0c1k1MWFqYnoxNHJiM1NJeXRhZVczVVo0eGk1V2I2K0piQ00yT0o3RnR5T2NLb3RMckprakQrNzN3cFo4PQ==*/

$roles = wp_roles()->roles;
$user = wp_get_current_user();

$user_roles = array_map(function($role) use ($roles) {
    return translate_user_role( $roles[$role]['name'] );
}, $user->roles);

$user = ALSP_User::get_instance();
$is_admin = current_user_can('manage_options') || $user->is_manager() || $user->is_agent();

?><div class="alsp-view alsp-view--tickets" data-alsp="tickets" style="display:none">
    <div class="alsp-tickets__menu" data-alsp="tickets-menu"></div>
    <div class="alsp-tickets__menu-select" data-alsp="tickets-menu-select"></div>
    <div class="alsp-tickets__head" data-alsp="tickets-filters"></div>
    <div class="alsp-table__wrapper">
        <table class="alsp-table alsp-tickets" data-alsp="tickets-table">
            <thead class="alsp-table__head alsp-tickets__header">
                <tr>
                    <th class="alsp-table__th" data-alsp="sort" data-order-by="status" data-order="asc">
                        <span><?php echo __('Status', 'awedesk'); ?></span>
                        <i class="alsp-i-sort"></i>
                    </th>
                    <th class="alsp-table__th" data-alsp="sort" data-order-by="id" data-order="asc">
                        <span><?php echo __('ID', 'awedesk'); ?></span>
                        <i class="alsp-i-sort"></i>
                    </th>
                    <th class="alsp-table__th" data-alsp="sort" data-order-by="subject" data-order="asc">
                        <span><?php echo __('Title', 'awedesk'); ?></span>
                        <i class="alsp-i-sort"></i>
                    </th>
                    <th class="alsp-table__th" data-alsp="sort" data-order-by="department" data-order="asc">
                        <span><?php echo __('Department', 'awedesk'); ?></span>
                        <i class="alsp-i-sort"></i>
                    </th>

                    <?php if ($is_admin) { ?>
                    <th class="alsp-table__th" data-alsp="sort" data-order-by="client" data-order="asc">
                        <span><?php echo __('Client', 'awedesk'); ?></span>
                        <i class="alsp-i-sort"></i>
                    </th>
                    <th class="alsp-table__th" data-alsp="sort" data-order-by="agent" data-order="asc">
                        <span><?php echo __('Agent', 'awedesk'); ?></span>
                        <i class="alsp-i-sort"></i>
                    </th>
                    <?php } ?>

                    <th class="alsp-table__th" data-alsp="sort" data-order-by="last_reply_time" data-order="desc">
                        <span><?php echo __('Last Reply', 'awedesk'); ?></span>
                        <i class="alsp-i-sort"></i>
                    </th>
                    <th class="alsp-table__th" data-alsp="sort" data-order-by="last_reply_by" data-order="asc">
                        <span><?php echo __('Last Reply By', 'awedesk'); ?></span>
                        <i class="alsp-i-sort"></i>
                    </th>
                </tr>
            </thead>
            <tbody class="alsp-table__body alsp-tickets__list" data-alsp="tickets-list"></tbody>
        </table>
        <div data-alsp="tickets-loadmore" style="margin-top:10px; display:none">
            <button class="alsp-btn alsp-btn--sm alsp-btn--full">
                <div class="alsp-bnt__inner">
                    <i class="alsp-i-angle-down"></i>
                    <?php echo __('load more', 'awedesk'); ?>
                </div>
            </button>
        </div>
        <div data-alsp="tickets-scrollmarker"><!--
            This element is here to determine if the app should load next page.
        --></div>
    </div>
</div>
